com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface DecisiontablePackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface DecisiontablePackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `DecisiontableFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DecisiontablePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_ITEM` The meta object id for the '`Action Item`' class
    `static int` | `ACTION_ITEM__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `ACTION_ITEM__EXPRESSION_CELL` The feature id for the 'Expression Cell' containment reference
    `static int` | `ACTION_ITEM__NATURAL_LANGUAGE_TEXT` The feature id for the 'Natural Language Text' containment reference list
    `static int` | `ACTION_ITEM__ROW_HEIGHT` The feature id for the 'Row Height' attribute
    `static int` | `ACTION_ITEM__VALUE_SET_CELL` The feature id for the 'Value Set Cell' containment reference
    `static int` | `ACTION_ITEM_FEATURE_COUNT` The number of structural features of the 'Action Item' class
    `static int` | `ACTION_SECTION` The meta object id for the '`Action Section`' class
    `static int` | `ACTION_SECTION__ACTION_ITEM_LIST` The feature id for the 'Action Item List' containment reference list
    `static int` | `ACTION_SECTION__COLUMN_WIDTH_FACTOR` The feature id for the 'Column Width Factor' attribute
    `static int` | `ACTION_SECTION__ROW_COUNT` The feature id for the 'Row Count' attribute
    `static int` | `ACTION_SECTION__SCROLL_ROW_TOP` The feature id for the 'Scroll Row Top' attribute
    `static int` | `ACTION_SECTION_FEATURE_COUNT` The number of structural features of the 'Action Section' class
    `static int` | `ACTION_VALUE_SET_CELL` The meta object id for the '`Action Value Set Cell`' class
    `static int` | `ACTION_VALUE_SET_CELL__ACTION` The feature id for the 'Action' reference
    `static int` | `ACTION_VALUE_SET_CELL__PARSER_OUTPUT` The feature id for the 'Parser Output' containment reference
    `static int` | `ACTION_VALUE_SET_CELL__TOOLTIP` The feature id for the 'Tooltip' attribute
    `static int` | `ACTION_VALUE_SET_CELL__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `ACTION_VALUE_SET_CELL__VALUE_SET` The feature id for the 'Value Set' attribute
    `static int` | `ACTION_VALUE_SET_CELL_FEATURE_COUNT` The number of structural features of the 'Action Value Set Cell' class
    `static int` | `AMBIGUITY` The meta object id for the '`Ambiguity`' class
    `static int` | `AMBIGUITY__AMBIGUOUS_RULE_COLUMNS` The feature id for the 'Ambiguous Rule Columns' reference list
    `static int` | `AMBIGUITY_FEATURE_COUNT` The number of structural features of the 'Ambiguity' class
    `static int` | `CELL` The meta object id for the '`Cell`' class
    `static int` | `CELL__PARSER_OUTPUT` The feature id for the 'Parser Output' containment reference
    `static int` | `CELL__TOOLTIP` The feature id for the 'Tooltip' attribute
    `static int` | `CELL__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `CELL_FEATURE_COUNT` The number of structural features of the 'Cell' class
    `static int` | `CONDITION_ITEM` The meta object id for the '`Condition Item`' class
    `static int` | `CONDITION_ITEM__COMPLETE_VALUE_SET` The feature id for the 'Complete Value Set' attribute
    `static int` | `CONDITION_ITEM__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `CONDITION_ITEM__EXPRESSION_CELL` The feature id for the 'Expression Cell' containment reference
    `static int` | `CONDITION_ITEM__NATURAL_LANGUAGE_TEXT` The feature id for the 'Natural Language Text' containment reference list
    `static int` | `CONDITION_ITEM__PRECONDITION` The feature id for the 'Precondition' attribute
    `static int` | `CONDITION_ITEM__PREEXPAND_OTHER` The feature id for the 'Preexpand Other' attribute
    `static int` | `CONDITION_ITEM__ROW_HEIGHT` The feature id for the 'Row Height' attribute
    `static int` | `CONDITION_ITEM__VALUE_SET_CELL` The feature id for the 'Value Set Cell' containment reference
    `static int` | `CONDITION_ITEM__VARIABLE_MODE` The feature id for the 'Variable Mode' attribute
    `static int` | `CONDITION_ITEM__VARIABLE_REFERENCE` The feature id for the 'Variable Reference' containment reference
    `static int` | `CONDITION_ITEM_FEATURE_COUNT` The number of structural features of the 'Condition Item' class
    `static int` | `CONDITION_SECTION` The meta object id for the '`Condition Section`' class
    `static int` | `CONDITION_SECTION__COLUMN_WIDTH_FACTOR` The feature id for the 'Column Width Factor' attribute
    `static int` | `CONDITION_SECTION__CONDITION_ITEM_LIST` The feature id for the 'Condition Item List' containment reference list
    `static int` | `CONDITION_SECTION__ROW_COUNT` The feature id for the 'Row Count' attribute
    `static int` | `CONDITION_SECTION__SCROLL_ROW_TOP` The feature id for the 'Scroll Row Top' attribute
    `static int` | `CONDITION_SECTION_FEATURE_COUNT` The number of structural features of the 'Condition Section' class
    `static int` | `CONDITION_VALUE_SET_CELL` The meta object id for the '`Condition Value Set Cell`' class
    `static int` | `CONDITION_VALUE_SET_CELL__CONDITION` The feature id for the 'Condition' reference
    `static int` | `CONDITION_VALUE_SET_CELL__PARSER_OUTPUT` The feature id for the 'Parser Output' containment reference
    `static int` | `CONDITION_VALUE_SET_CELL__TOOLTIP` The feature id for the 'Tooltip' attribute
    `static int` | `CONDITION_VALUE_SET_CELL__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `CONDITION_VALUE_SET_CELL__VALUE_SET` The feature id for the 'Value Set' attribute
    `static int` | `CONDITION_VALUE_SET_CELL_FEATURE_COUNT` The number of structural features of the 'Condition Value Set Cell' class
    `static java.lang.String` | `copyright`
    `static int` | `DECISION_TABLE` The meta object id for the '`Decision Table`' class
    `static int` | `DECISION_TABLE__ACTION_SECTION` The feature id for the 'Action Section' containment reference
    `static int` | `DECISION_TABLE__ADVANCED` The feature id for the 'Advanced' attribute
    `static int` | `DECISION_TABLE__CONDITION_SECTION` The feature id for the 'Condition Section' containment reference
    `static int` | `DECISION_TABLE__FILTER_SECTION` The feature id for the 'Filter Section' containment reference
    `static int` | `DECISION_TABLE__NAME` The feature id for the 'Name' attribute
    `static int` | `DECISION_TABLE__NATURAL_LANGUAGE_DISPLAY` The feature id for the 'Natural Language Display' attribute
    `static int` | `DECISION_TABLE__PRULESET` The feature id for the 'PRuleset' reference
    `static int` | `DECISION_TABLE__RULE_SECTION` The feature id for the 'Rule Section' containment reference
    `static int` | `DECISION_TABLE__RULE_STATEMENT_SECTION` The feature id for the 'Rule Statement Section' containment reference
    `static int` | `DECISION_TABLE__SASH_WEIGHT_ADVANCED_VIEW` The feature id for the 'Sash Weight Advanced View' attribute
    `static int` | `DECISION_TABLE__SASH_WEIGHT_CONDITIONS_ACTIONS` The feature id for the 'Sash Weight Conditions Actions' attribute
    `static int` | `DECISION_TABLE__SASH_WEIGHT_CONDITIONS_IF` The feature id for the 'Sash Weight Conditions If' attribute
    `static int` | `DECISION_TABLE__SASH_WEIGHT_SCOPE` The feature id for the 'Sash Weight Scope' attribute
    `static int` | `DECISION_TABLE__SCOPE_SECTION` The feature id for the 'Scope Section' containment reference
    `static int` | `DECISION_TABLE__SELECTION` The feature id for the 'Selection' attribute
    `static int` | `DECISION_TABLE_FEATURE_COUNT` The number of structural features of the 'Decision Table' class
    `static DecisiontablePackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `EXPRESSION_CELL` The meta object id for the '`Expression Cell`' class
    `static int` | `EXPRESSION_CELL__EXTERNAL` The feature id for the 'External' attribute
    `static int` | `EXPRESSION_CELL__PARSER_OUTPUT` The feature id for the 'Parser Output' containment reference
    `static int` | `EXPRESSION_CELL__TOOLTIP` The feature id for the 'Tooltip' attribute
    `static int` | `EXPRESSION_CELL__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `EXPRESSION_CELL_FEATURE_COUNT` The number of structural features of the 'Expression Cell' class
    `static int` | `FILTER_ITEM` The meta object id for the '`Filter Item`' class
    `static int` | `FILTER_ITEM__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `FILTER_ITEM__EXPRESSION_CELL` The feature id for the 'Expression Cell' containment reference
    `static int` | `FILTER_ITEM__FILTER` The feature id for the 'Filter' reference
    `static int` | `FILTER_ITEM_FEATURE_COUNT` The number of structural features of the 'Filter Item' class
    `static int` | `FILTER_SECTION` The meta object id for the '`Filter Section`' class
    `static int` | `FILTER_SECTION__FILTER_ITEM_LIST` The feature id for the 'Filter Item List' containment reference list
    `static int` | `FILTER_SECTION__ROW_COUNT` The feature id for the 'Row Count' attribute
    `static int` | `FILTER_SECTION__SCROLL_ROW_TOP` The feature id for the 'Scroll Row Top' attribute
    `static int` | `FILTER_SECTION_FEATURE_COUNT` The number of structural features of the 'Filter Section' class
    `static int` | `OPTIMIZER_RESULTS` The meta object id for the '`Optimizer Results`' class
    `static int` | `OPTIMIZER_RESULTS__AMBIGUITY_FILTER` The feature id for the 'Ambiguity Filter' attribute
    `static int` | `OPTIMIZER_RESULTS__AMBIGUITY_INDEX` The feature id for the 'Ambiguity Index' attribute
    `static int` | `OPTIMIZER_RESULTS__AMBIGUITY_LIST` The feature id for the 'Ambiguity List' containment reference list
    `static int` | `OPTIMIZER_RESULTS__COMPLETENESS_CHECK_RULE_COLUMNS` The feature id for the 'Completeness Check Rule Columns' reference list
    `static int` | `OPTIMIZER_RESULTS_FEATURE_COUNT` The number of structural features of the 'Optimizer Results' class
    `static int` | `RULE_COLUMN` The meta object id for the '`Rule Column`' class
    `static int` | `RULE_COLUMN__ACTION_VALUE_SET_CELL_LIST` The feature id for the 'Action Value Set Cell List' containment reference list
    `static int` | `RULE_COLUMN__COLUMN_WIDTH` The feature id for the 'Column Width' attribute
    `static int` | `RULE_COLUMN__CONDITION_VALUE_SET_CELL_LIST` The feature id for the 'Condition Value Set Cell List' containment reference list
    `static int` | `RULE_COLUMN__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `RULE_COLUMN__NON_CONDITIONAL` The feature id for the 'Non Conditional' attribute
    `static int` | `RULE_COLUMN__OVERRIDE_VALUE_SET_CELL` The feature id for the 'Override Value Set Cell' containment reference
    `static int` | `RULE_COLUMN__PRULE` The feature id for the 'PRule' reference list
    `static int` | `RULE_COLUMN__RULE_ID` The feature id for the 'Rule Id' attribute
    `static int` | `RULE_COLUMN_FEATURE_COUNT` The number of structural features of the 'Rule Column' class
    `static int` | `RULE_SECTION` The meta object id for the '`Rule Section`' class
    `static int` | `RULE_SECTION__COLUMN_COUNT` The feature id for the 'Column Count' attribute
    `static int` | `RULE_SECTION__OPTIMIZER_RESULTS` The feature id for the 'Optimizer Results' containment reference
    `static int` | `RULE_SECTION__RULE_COLUMN_LIST` The feature id for the 'Rule Column List' containment reference list
    `static int` | `RULE_SECTION__SCROLL_COLUMN_LEFT` The feature id for the 'Scroll Column Left' attribute
    `static int` | `RULE_SECTION_FEATURE_COUNT` The number of structural features of the 'Rule Section' class
    `static int` | `RULE_STATEMENT_ITEM` The meta object id for the '`Rule Statement Item`' class
    `static int` | `RULE_STATEMENT_ITEM__DISABLED` The feature id for the 'Disabled' attribute
    `static int` | `RULE_STATEMENT_ITEM__REFERENCE` The feature id for the 'Reference' containment reference
    `static int` | `RULE_STATEMENT_ITEM__ROW_HEIGHT` The feature id for the 'Row Height' attribute
    `static int` | `RULE_STATEMENT_ITEM__RULE_STATEMENT` The feature id for the 'Rule Statement' reference
    `static int` | `RULE_STATEMENT_ITEM__TEXT` The feature id for the 'Text' containment reference list
    `static int` | `RULE_STATEMENT_ITEM_FEATURE_COUNT` The number of structural features of the 'Rule Statement Item' class
    `static int` | `RULE_STATEMENT_SECTION` The meta object id for the '`Rule Statement Section`' class
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_ALIAS` The feature id for the 'Column Width Alias' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_CATEGORY` The feature id for the 'Column Width Category' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_COMMENTS` The feature id for the 'Column Width Comments' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_ID` The feature id for the 'Column Width ID' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_POST_SEVERITY` The feature id for the 'Column Width Post Severity' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_REFERENCE` The feature id for the 'Column Width Reference' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_LINK` The feature id for the 'Column Width Rule Link' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_NAME` The feature id for the 'Column Width Rule Name' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_LINK` The feature id for the 'Column Width Source Link' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_NAME` The feature id for the 'Column Width Source Name' attribute
    `static int` | `RULE_STATEMENT_SECTION__COLUMN_WIDTH_TEXT` The feature id for the 'Column Width Text' attribute
    `static int` | `RULE_STATEMENT_SECTION__ROW_COUNT` The feature id for the 'Row Count' attribute
    `static int` | `RULE_STATEMENT_SECTION__RULE_STATEMENT_ITEM_LIST` The feature id for the 'Rule Statement Item List' containment reference list
    `static int` | `RULE_STATEMENT_SECTION__SCROLL_ROW_TOP` The feature id for the 'Scroll Row Top' attribute
    `static int` | `RULE_STATEMENT_SECTION_FEATURE_COUNT` The number of structural features of the 'Rule Statement Section' class
    `static int` | `SCOPE_ALIAS` The meta object id for the '`Scope Alias`' class
    `static int` | `SCOPE_ALIAS__ALIAS` The feature id for the 'Alias' attribute
    `static int` | `SCOPE_ALIAS__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_ALIAS__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_ALIAS__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_ALIAS__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_ALIAS__LOGICAL_VARIABLE` The feature id for the 'Logical Variable' reference
    `static int` | `SCOPE_ALIAS__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_ALIAS__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_ALIAS__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_ALIAS_FEATURE_COUNT` The number of structural features of the 'Scope Alias' class
    `static int` | `SCOPE_ASSOCIATION` The meta object id for the '`Scope Association`' class
    `static int` | `SCOPE_ASSOCIATION__ALIAS` The feature id for the 'Alias' attribute
    `static int` | `SCOPE_ASSOCIATION__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_ASSOCIATION__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_ASSOCIATION__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_ASSOCIATION__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_ASSOCIATION__LOGICAL_VARIABLE` The feature id for the 'Logical Variable' reference
    `static int` | `SCOPE_ASSOCIATION__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_ASSOCIATION__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_ASSOCIATION__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_ASSOCIATION_FEATURE_COUNT` The number of structural features of the 'Scope Association' class
    `static int` | `SCOPE_ATTRIBUTE` The meta object id for the '`Scope Attribute`' class
    `static int` | `SCOPE_ATTRIBUTE__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_ATTRIBUTE__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_ATTRIBUTE__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_ATTRIBUTE__EATTRIBUTE` The feature id for the 'EAttribute' reference
    `static int` | `SCOPE_ATTRIBUTE__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_ATTRIBUTE__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_ATTRIBUTE__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_ATTRIBUTE__REFERENCED_ATTRIBUTE` The feature id for the 'Referenced Attribute' reference
    `static int` | `SCOPE_ATTRIBUTE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Scope Attribute' class
    `static int` | `SCOPE_ENTITY` The meta object id for the '`Scope Entity`' class
    `static int` | `SCOPE_ENTITY__ALIAS` The feature id for the 'Alias' attribute
    `static int` | `SCOPE_ENTITY__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_ENTITY__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_ENTITY__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_ENTITY__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_ENTITY__LOGICAL_VARIABLE` The feature id for the 'Logical Variable' reference
    `static int` | `SCOPE_ENTITY__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_ENTITY__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_ENTITY__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_ENTITY_FEATURE_COUNT` The number of structural features of the 'Scope Entity' class
    `static int` | `SCOPE_FILTER` The meta object id for the '`Scope Filter`' class
    `static int` | `SCOPE_FILTER__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_FILTER__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_FILTER__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_FILTER__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_FILTER__EXPRESSION` The feature id for the 'Expression' attribute
    `static int` | `SCOPE_FILTER__FILTER` The feature id for the 'Filter' reference
    `static int` | `SCOPE_FILTER__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_FILTER__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_FILTER__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_FILTER_FEATURE_COUNT` The number of structural features of the 'Scope Filter' class
    `static int` | `SCOPE_FOLDER` The meta object id for the '`Scope Folder`' class
    `static int` | `SCOPE_FOLDER__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_FOLDER__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_FOLDER__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_FOLDER__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_FOLDER__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_FOLDER__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_FOLDER__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_FOLDER_FEATURE_COUNT` The number of structural features of the 'Scope Folder' class
    `static int` | `SCOPE_NODE` The meta object id for the '`Scope Node`' class
    `static int` | `SCOPE_NODE__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_NODE__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_NODE__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_NODE__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_NODE__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_NODE__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_NODE__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_NODE_FEATURE_COUNT` The number of structural features of the 'Scope Node' class
    `static int` | `SCOPE_SECTION` The meta object id for the '`Scope Section`' class
    `static int` | `SCOPE_SECTION__ROOT_NODE` The feature id for the 'Root Node' containment reference
    `static int` | `SCOPE_SECTION_FEATURE_COUNT` The number of structural features of the 'Scope Section' class
    `static int` | `SCOPE_SORTED_ALIAS` The meta object id for the '`Scope Sorted Alias`' class
    `static int` | `SCOPE_SORTED_ALIAS__ALIAS` The feature id for the 'Alias' attribute
    `static int` | `SCOPE_SORTED_ALIAS__BACKUP_INFO` The feature id for the 'Backup Info' attribute list
    `static int` | `SCOPE_SORTED_ALIAS__CHILDREN` The feature id for the 'Children' containment reference list
    `static int` | `SCOPE_SORTED_ALIAS__DESCENDENT` The feature id for the 'Descendent' attribute
    `static int` | `SCOPE_SORTED_ALIAS__EXPANDED` The feature id for the 'Expanded' attribute
    `static int` | `SCOPE_SORTED_ALIAS__LOGICAL_VARIABLE` The feature id for the 'Logical Variable' reference
    `static int` | `SCOPE_SORTED_ALIAS__NAME` The feature id for the 'Name' attribute
    `static int` | `SCOPE_SORTED_ALIAS__OPERATOR_ID` The feature id for the 'Operator ID' attribute
    `static int` | `SCOPE_SORTED_ALIAS__PARENT` The feature id for the 'Parent' container reference
    `static int` | `SCOPE_SORTED_ALIAS__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `SCOPE_SORTED_ALIAS_FEATURE_COUNT` The number of structural features of the 'Scope Sorted Alias' class
    `static int` | `SELECTION` The meta object id for the 'Selection' data type
    `static int` | `VALUE_SET` The meta object id for the 'Value Set' data type
    `static int` | `VALUE_SET_CELL` The meta object id for the '`Value Set Cell`' class
    `static int` | `VALUE_SET_CELL__PARSER_OUTPUT` The feature id for the 'Parser Output' containment reference
    `static int` | `VALUE_SET_CELL__TOOLTIP` The feature id for the 'Tooltip' attribute
    `static int` | `VALUE_SET_CELL__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' reference list
    `static int` | `VALUE_SET_CELL__VALUE_SET` The feature id for the 'Value Set' attribute
    `static int` | `VALUE_SET_CELL_FEATURE_COUNT` The number of structural features of the 'Value Set Cell' class
    `static int` | `VARIABLE_MODE` The meta object id for the '`Variable Mode`' enum

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getActionItem_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getActionItem_ExpressionCell()` Returns the meta object for the containment reference '`Expression Cell`'
    `org.eclipse.emf.ecore.EReference` | `getActionItem_NaturalLanguageText()` Returns the meta object for the containment reference list '`Natural Language Text`'
    `org.eclipse.emf.ecore.EAttribute` | `getActionItem_RowHeight()` Returns the meta object for the attribute '`Row Height`'
    `org.eclipse.emf.ecore.EReference` | `getActionItem_ValueSetCell()` Returns the meta object for the containment reference '`Value Set Cell`'
    `org.eclipse.emf.ecore.EClass` | `getActionItem()` Returns the meta object for class '`Action Item`'
    `org.eclipse.emf.ecore.EReference` | `getActionSection_ActionItemList()` Returns the meta object for the containment reference list '`Action Item List`'
    `org.eclipse.emf.ecore.EAttribute` | `getActionSection_ColumnWidthFactor()` Returns the meta object for the attribute '`Column Width Factor`'
    `org.eclipse.emf.ecore.EAttribute` | `getActionSection_RowCount()` Returns the meta object for the attribute '`Row Count`'
    `org.eclipse.emf.ecore.EAttribute` | `getActionSection_ScrollRowTop()` Returns the meta object for the attribute '`Scroll Row Top`'
    `org.eclipse.emf.ecore.EClass` | `getActionSection()` Returns the meta object for class '`Action Section`'
    `org.eclipse.emf.ecore.EReference` | `getActionValueSetCell_Action()` Returns the meta object for the reference '`Action`'
    `org.eclipse.emf.ecore.EClass` | `getActionValueSetCell()` Returns the meta object for class '`Action Value Set Cell`'
    `org.eclipse.emf.ecore.EReference` | `getAmbiguity_AmbiguousRuleColumns()` Returns the meta object for the reference list '`Ambiguous Rule Columns`'
    `org.eclipse.emf.ecore.EClass` | `getAmbiguity()` Returns the meta object for class '`Ambiguity`'
    `org.eclipse.emf.ecore.EReference` | `getCell_ParserOutput()` Returns the meta object for the containment reference '`Parser Output`'
    `org.eclipse.emf.ecore.EAttribute` | `getCell_Tooltip()` Returns the meta object for the attribute '`Tooltip`'
    `org.eclipse.emf.ecore.EClass` | `getCell()` Returns the meta object for class '`Cell`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionItem_CompleteValueSet()` Returns the meta object for the attribute '`Complete Value Set`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionItem_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getConditionItem_ExpressionCell()` Returns the meta object for the containment reference '`Expression Cell`'
    `org.eclipse.emf.ecore.EReference` | `getConditionItem_NaturalLanguageText()` Returns the meta object for the containment reference list '`Natural Language Text`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionItem_Precondition()` Returns the meta object for the attribute '`Precondition`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionItem_PreexpandOther()` Returns the meta object for the attribute '`Preexpand Other`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionItem_RowHeight()` Returns the meta object for the attribute '`Row Height`'
    `org.eclipse.emf.ecore.EReference` | `getConditionItem_ValueSetCell()` Returns the meta object for the containment reference '`Value Set Cell`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionItem_VariableMode()` Returns the meta object for the attribute '`Variable Mode`'
    `org.eclipse.emf.ecore.EReference` | `getConditionItem_VariableReference()` Returns the meta object for the containment reference '`Variable Reference`'
    `org.eclipse.emf.ecore.EClass` | `getConditionItem()` Returns the meta object for class '`Condition Item`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionSection_ColumnWidthFactor()` Returns the meta object for the attribute '`Column Width Factor`'
    `org.eclipse.emf.ecore.EReference` | `getConditionSection_ConditionItemList()` Returns the meta object for the containment reference list '`Condition Item List`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionSection_RowCount()` Returns the meta object for the attribute '`Row Count`'
    `org.eclipse.emf.ecore.EAttribute` | `getConditionSection_ScrollRowTop()` Returns the meta object for the attribute '`Scroll Row Top`'
    `org.eclipse.emf.ecore.EClass` | `getConditionSection()` Returns the meta object for class '`Condition Section`'
    `org.eclipse.emf.ecore.EReference` | `getConditionValueSetCell_Condition()` Returns the meta object for the reference '`Condition`'
    `org.eclipse.emf.ecore.EClass` | `getConditionValueSetCell()` Returns the meta object for class '`Condition Value Set Cell`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionTable_ActionSection()` Returns the meta object for the containment reference '`Action Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_Advanced()` Returns the meta object for the attribute '`Advanced`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionTable_ConditionSection()` Returns the meta object for the containment reference '`Condition Section`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionTable_FilterSection()` Returns the meta object for the containment reference '`Filter Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_NaturalLanguageDisplay()` Returns the meta object for the attribute '`Natural Language Display`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionTable_PRuleset()` Returns the meta object for the reference '`PRuleset`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionTable_RuleSection()` Returns the meta object for the containment reference '`Rule Section`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionTable_RuleStatementSection()` Returns the meta object for the containment reference '`Rule Statement Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_SashWeightAdvancedView()` Returns the meta object for the attribute '`Sash Weight Advanced View`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_SashWeightConditionsActions()` Returns the meta object for the attribute '`Sash Weight Conditions Actions`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_SashWeightConditionsIf()` Returns the meta object for the attribute '`Sash Weight Conditions If`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_SashWeightScope()` Returns the meta object for the attribute '`Sash Weight Scope`'
    `org.eclipse.emf.ecore.EReference` | `getDecisionTable_ScopeSection()` Returns the meta object for the containment reference '`Scope Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getDecisionTable_Selection()` Returns the meta object for the attribute '`Selection`'
    `org.eclipse.emf.ecore.EClass` | `getDecisionTable()` Returns the meta object for class '`Decision Table`'
    `DecisiontableFactory` | `getDecisiontableFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EAttribute` | `getExpressionCell_External()` Returns the meta object for the attribute '`External`'
    `org.eclipse.emf.ecore.EClass` | `getExpressionCell()` Returns the meta object for class '`Expression Cell`'
    `org.eclipse.emf.ecore.EAttribute` | `getFilterItem_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getFilterItem_ExpressionCell()` Returns the meta object for the containment reference '`Expression Cell`'
    `org.eclipse.emf.ecore.EReference` | `getFilterItem_Filter()` Returns the meta object for the reference '`Filter`'
    `org.eclipse.emf.ecore.EClass` | `getFilterItem()` Returns the meta object for class '`Filter Item`'
    `org.eclipse.emf.ecore.EReference` | `getFilterSection_FilterItemList()` Returns the meta object for the containment reference list '`Filter Item List`'
    `org.eclipse.emf.ecore.EAttribute` | `getFilterSection_RowCount()` Returns the meta object for the attribute '`Row Count`'
    `org.eclipse.emf.ecore.EAttribute` | `getFilterSection_ScrollRowTop()` Returns the meta object for the attribute '`Scroll Row Top`'
    `org.eclipse.emf.ecore.EClass` | `getFilterSection()` Returns the meta object for class '`Filter Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getOptimizerResults_AmbiguityFilter()` Returns the meta object for the attribute '`Ambiguity Filter`'
    `org.eclipse.emf.ecore.EAttribute` | `getOptimizerResults_AmbiguityIndex()` Returns the meta object for the attribute '`Ambiguity Index`'
    `org.eclipse.emf.ecore.EReference` | `getOptimizerResults_AmbiguityList()` Returns the meta object for the containment reference list '`Ambiguity List`'
    `org.eclipse.emf.ecore.EReference` | `getOptimizerResults_CompletenessCheckRuleColumns()` Returns the meta object for the reference list '`Completeness Check Rule Columns`'
    `org.eclipse.emf.ecore.EClass` | `getOptimizerResults()` Returns the meta object for class '`Optimizer Results`'
    `org.eclipse.emf.ecore.EReference` | `getRuleColumn_ActionValueSetCellList()` Returns the meta object for the containment reference list '`Action Value Set Cell List`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleColumn_ColumnWidth()` Returns the meta object for the attribute '`Column Width`'
    `org.eclipse.emf.ecore.EReference` | `getRuleColumn_ConditionValueSetCellList()` Returns the meta object for the containment reference list '`Condition Value Set Cell List`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleColumn_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleColumn_NonConditional()` Returns the meta object for the attribute '`Non Conditional`'
    `org.eclipse.emf.ecore.EReference` | `getRuleColumn_OverrideValueSetCell()` Returns the meta object for the containment reference '`Override Value Set Cell`'
    `org.eclipse.emf.ecore.EReference` | `getRuleColumn_PRule()` Returns the meta object for the reference list '`PRule`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleColumn_RuleId()` Returns the meta object for the attribute '`Rule Id`'
    `org.eclipse.emf.ecore.EClass` | `getRuleColumn()` Returns the meta object for class '`Rule Column`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleSection_ColumnCount()` Returns the meta object for the attribute '`Column Count`'
    `org.eclipse.emf.ecore.EReference` | `getRuleSection_OptimizerResults()` Returns the meta object for the containment reference '`Optimizer Results`'
    `org.eclipse.emf.ecore.EReference` | `getRuleSection_RuleColumnList()` Returns the meta object for the containment reference list '`Rule Column List`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleSection_ScrollColumnLeft()` Returns the meta object for the attribute '`Scroll Column Left`'
    `org.eclipse.emf.ecore.EClass` | `getRuleSection()` Returns the meta object for class '`Rule Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementItem_Disabled()` Returns the meta object for the attribute '`Disabled`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatementItem_Reference()` Returns the meta object for the containment reference '`Reference`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementItem_RowHeight()` Returns the meta object for the attribute '`Row Height`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatementItem_RuleStatement()` Returns the meta object for the reference '`Rule Statement`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatementItem_Text()` Returns the meta object for the containment reference list '`Text`'
    `org.eclipse.emf.ecore.EClass` | `getRuleStatementItem()` Returns the meta object for class '`Rule Statement Item`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthAlias()` Returns the meta object for the attribute '`Column Width Alias`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthCategory()` Returns the meta object for the attribute '`Column Width Category`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthComments()` Returns the meta object for the attribute '`Column Width Comments`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthID()` Returns the meta object for the attribute '`Column Width ID`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthPostSeverity()` Returns the meta object for the attribute '`Column Width Post Severity`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthReference()` Returns the meta object for the attribute '`Column Width Reference`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthRuleLink()` Returns the meta object for the attribute '`Column Width Rule Link`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthRuleName()` Returns the meta object for the attribute '`Column Width Rule Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthSourceLink()` Returns the meta object for the attribute '`Column Width Source Link`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthSourceName()` Returns the meta object for the attribute '`Column Width Source Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ColumnWidthText()` Returns the meta object for the attribute '`Column Width Text`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_RowCount()` Returns the meta object for the attribute '`Row Count`'
    `org.eclipse.emf.ecore.EReference` | `getRuleStatementSection_RuleStatementItemList()` Returns the meta object for the containment reference list '`Rule Statement Item List`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuleStatementSection_ScrollRowTop()` Returns the meta object for the attribute '`Scroll Row Top`'
    `org.eclipse.emf.ecore.EClass` | `getRuleStatementSection()` Returns the meta object for class '`Rule Statement Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getScopeAlias_Alias()` Returns the meta object for the attribute '`Alias`'
    `org.eclipse.emf.ecore.EReference` | `getScopeAlias_LogicalVariable()` Returns the meta object for the reference '`Logical Variable`'
    `org.eclipse.emf.ecore.EClass` | `getScopeAlias()` Returns the meta object for class '`Scope Alias`'
    `org.eclipse.emf.ecore.EClass` | `getScopeAssociation()` Returns the meta object for class '`Scope Association`'
    `org.eclipse.emf.ecore.EReference` | `getScopeAttribute_EAttribute()` Returns the meta object for the reference '`EAttribute`'
    `org.eclipse.emf.ecore.EReference` | `getScopeAttribute_ReferencedAttribute()` Returns the meta object for the reference '`Referenced Attribute`'
    `org.eclipse.emf.ecore.EClass` | `getScopeAttribute()` Returns the meta object for class '`Scope Attribute`'
    `org.eclipse.emf.ecore.EClass` | `getScopeEntity()` Returns the meta object for class '`Scope Entity`'
    `org.eclipse.emf.ecore.EAttribute` | `getScopeFilter_Expression()` Returns the meta object for the attribute '`Expression`'
    `org.eclipse.emf.ecore.EReference` | `getScopeFilter_Filter()` Returns the meta object for the reference '`Filter`'
    `org.eclipse.emf.ecore.EClass` | `getScopeFilter()` Returns the meta object for class '`Scope Filter`'
    `org.eclipse.emf.ecore.EClass` | `getScopeFolder()` Returns the meta object for class '`Scope Folder`'
    `org.eclipse.emf.ecore.EAttribute` | `getScopeNode_BackupInfo()` Returns the meta object for the attribute list '`Backup Info`'
    `org.eclipse.emf.ecore.EReference` | `getScopeNode_Children()` Returns the meta object for the containment reference list '`Children`'
    `org.eclipse.emf.ecore.EAttribute` | `getScopeNode_Descendent()` Returns the meta object for the attribute '`Descendent`'
    `org.eclipse.emf.ecore.EAttribute` | `getScopeNode_Expanded()` Returns the meta object for the attribute '`Expanded`'
    `org.eclipse.emf.ecore.EAttribute` | `getScopeNode_Name()` Returns the meta object for the attribute '`Name`'
    `org.eclipse.emf.ecore.EReference` | `getScopeNode_Parent()` Returns the meta object for the container reference '`Parent`'
    `org.eclipse.emf.ecore.EClass` | `getScopeNode()` Returns the meta object for class '`Scope Node`'
    `org.eclipse.emf.ecore.EReference` | `getScopeSection_RootNode()` Returns the meta object for the containment reference '`Root Node`'
    `org.eclipse.emf.ecore.EClass` | `getScopeSection()` Returns the meta object for class '`Scope Section`'
    `org.eclipse.emf.ecore.EAttribute` | `getScopeSortedAlias_OperatorID()` Returns the meta object for the attribute '`Operator ID`'
    `org.eclipse.emf.ecore.EClass` | `getScopeSortedAlias()` Returns the meta object for class '`Scope Sorted Alias`'
    `org.eclipse.emf.ecore.EDataType` | `getSelection()` Returns the meta object for data type '`Selection`'
    `org.eclipse.emf.ecore.EDataType` | `getValueSet()` Returns the meta object for data type '`Value Set`'
    `org.eclipse.emf.ecore.EAttribute` | `getValueSetCell_ValueSet()` Returns the meta object for the attribute '`Value Set`'
    `org.eclipse.emf.ecore.EClass` | `getValueSetCell()` Returns the meta object for class '`Value Set Cell`'
    `org.eclipse.emf.ecore.EEnum` | `getVariableMode()` Returns the meta object for enum '`Variable Mode`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final DecisiontablePackage eINSTANCE

      The singleton instance of the package.

    - #### ACTION_ITEM

          static final int ACTION_ITEM

      The meta object id for the '`Action Item`' class.
      See Also:
        `ActionItemImpl`, `DecisiontablePackageImpl.getActionItem()`, Constant Field Values

    - #### ACTION_ITEM__DISABLED

          static final int ACTION_ITEM__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### ACTION_ITEM__ROW_HEIGHT

          static final int ACTION_ITEM__ROW_HEIGHT

      The feature id for the 'Row Height' attribute.
      See Also:
        Constant Field Values

    - #### ACTION_ITEM__NATURAL_LANGUAGE_TEXT

          static final int ACTION_ITEM__NATURAL_LANGUAGE_TEXT

      The feature id for the 'Natural Language Text' containment reference list.
      See Also:
        Constant Field Values

    - #### ACTION_ITEM__VALUE_SET_CELL

          static final int ACTION_ITEM__VALUE_SET_CELL

      The feature id for the 'Value Set Cell' containment reference.
      See Also:
        Constant Field Values

    - #### ACTION_ITEM__EXPRESSION_CELL

          static final int ACTION_ITEM__EXPRESSION_CELL

      The feature id for the 'Expression Cell' containment reference.
      See Also:
        Constant Field Values

    - #### ACTION_ITEM_FEATURE_COUNT

          static final int ACTION_ITEM_FEATURE_COUNT

      The number of structural features of the 'Action Item' class.
      See Also:
        Constant Field Values

    - #### ACTION_SECTION

          static final int ACTION_SECTION

      The meta object id for the '`Action Section`' class.
      See Also:
        `ActionSectionImpl`, `DecisiontablePackageImpl.getActionSection()`, Constant Field Values

    - #### ACTION_SECTION__ROW_COUNT

          static final int ACTION_SECTION__ROW_COUNT

      The feature id for the 'Row Count' attribute.
      See Also:
        Constant Field Values

    - #### ACTION_SECTION__SCROLL_ROW_TOP

          static final int ACTION_SECTION__SCROLL_ROW_TOP

      The feature id for the 'Scroll Row Top' attribute.
      See Also:
        Constant Field Values

    - #### ACTION_SECTION__COLUMN_WIDTH_FACTOR

          static final int ACTION_SECTION__COLUMN_WIDTH_FACTOR

      The feature id for the 'Column Width Factor' attribute.
      See Also:
        Constant Field Values

    - #### ACTION_SECTION__ACTION_ITEM_LIST

          static final int ACTION_SECTION__ACTION_ITEM_LIST

      The feature id for the 'Action Item List' containment reference list.
      See Also:
        Constant Field Values

    - #### ACTION_SECTION_FEATURE_COUNT

          static final int ACTION_SECTION_FEATURE_COUNT

      The number of structural features of the 'Action Section' class.
      See Also:
        Constant Field Values

    - #### CELL

          static final int CELL

      The meta object id for the '`Cell`' class.
      See Also:
        `CellImpl`, `DecisiontablePackageImpl.getCell()`, Constant Field Values

    - #### CELL__VALIDATION_MESSAGES

          static final int CELL__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### CELL__TOOLTIP

          static final int CELL__TOOLTIP

      The feature id for the 'Tooltip' attribute.
      See Also:
        Constant Field Values

    - #### CELL__PARSER_OUTPUT

          static final int CELL__PARSER_OUTPUT

      The feature id for the 'Parser Output' containment reference.
      See Also:
        Constant Field Values

    - #### CELL_FEATURE_COUNT

          static final int CELL_FEATURE_COUNT

      The number of structural features of the 'Cell' class.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM

          static final int CONDITION_ITEM

      The meta object id for the '`Condition Item`' class.
      See Also:
        `ConditionItemImpl`, `DecisiontablePackageImpl.getConditionItem()`, Constant Field Values

    - #### CONDITION_ITEM__PRECONDITION

          static final int CONDITION_ITEM__PRECONDITION

      The feature id for the 'Precondition' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__DISABLED

          static final int CONDITION_ITEM__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__ROW_HEIGHT

          static final int CONDITION_ITEM__ROW_HEIGHT

      The feature id for the 'Row Height' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__PREEXPAND_OTHER

          static final int CONDITION_ITEM__PREEXPAND_OTHER

      The feature id for the 'Preexpand Other' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__VARIABLE_MODE

          static final int CONDITION_ITEM__VARIABLE_MODE

      The feature id for the 'Variable Mode' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__VARIABLE_REFERENCE

          static final int CONDITION_ITEM__VARIABLE_REFERENCE

      The feature id for the 'Variable Reference' containment reference.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__COMPLETE_VALUE_SET

          static final int CONDITION_ITEM__COMPLETE_VALUE_SET

      The feature id for the 'Complete Value Set' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__NATURAL_LANGUAGE_TEXT

          static final int CONDITION_ITEM__NATURAL_LANGUAGE_TEXT

      The feature id for the 'Natural Language Text' containment reference list.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__VALUE_SET_CELL

          static final int CONDITION_ITEM__VALUE_SET_CELL

      The feature id for the 'Value Set Cell' containment reference.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM__EXPRESSION_CELL

          static final int CONDITION_ITEM__EXPRESSION_CELL

      The feature id for the 'Expression Cell' containment reference.
      See Also:
        Constant Field Values

    - #### CONDITION_ITEM_FEATURE_COUNT

          static final int CONDITION_ITEM_FEATURE_COUNT

      The number of structural features of the 'Condition Item' class.
      See Also:
        Constant Field Values

    - #### CONDITION_SECTION

          static final int CONDITION_SECTION

      The meta object id for the '`Condition Section`' class.
      See Also:
        `ConditionSectionImpl`, `DecisiontablePackageImpl.getConditionSection()`, Constant Field Values

    - #### CONDITION_SECTION__ROW_COUNT

          static final int CONDITION_SECTION__ROW_COUNT

      The feature id for the 'Row Count' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_SECTION__SCROLL_ROW_TOP

          static final int CONDITION_SECTION__SCROLL_ROW_TOP

      The feature id for the 'Scroll Row Top' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_SECTION__COLUMN_WIDTH_FACTOR

          static final int CONDITION_SECTION__COLUMN_WIDTH_FACTOR

      The feature id for the 'Column Width Factor' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_SECTION__CONDITION_ITEM_LIST

          static final int CONDITION_SECTION__CONDITION_ITEM_LIST

      The feature id for the 'Condition Item List' containment reference list.
      See Also:
        Constant Field Values

    - #### CONDITION_SECTION_FEATURE_COUNT

          static final int CONDITION_SECTION_FEATURE_COUNT

      The number of structural features of the 'Condition Section' class.
      See Also:
        Constant Field Values

    - #### EXPRESSION_CELL

          static final int EXPRESSION_CELL

      The meta object id for the '`Expression Cell`' class.
      See Also:
        `ExpressionCellImpl`, `DecisiontablePackageImpl.getExpressionCell()`, Constant Field Values

    - #### EXPRESSION_CELL__VALIDATION_MESSAGES

          static final int EXPRESSION_CELL__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### EXPRESSION_CELL__TOOLTIP

          static final int EXPRESSION_CELL__TOOLTIP

      The feature id for the 'Tooltip' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION_CELL__PARSER_OUTPUT

          static final int EXPRESSION_CELL__PARSER_OUTPUT

      The feature id for the 'Parser Output' containment reference.
      See Also:
        Constant Field Values

    - #### EXPRESSION_CELL__EXTERNAL

          static final int EXPRESSION_CELL__EXTERNAL

      The feature id for the 'External' attribute.
      See Also:
        Constant Field Values

    - #### EXPRESSION_CELL_FEATURE_COUNT

          static final int EXPRESSION_CELL_FEATURE_COUNT

      The number of structural features of the 'Expression Cell' class.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE

          static final int SCOPE_NODE

      The meta object id for the '`Scope Node`' class.
      See Also:
        `ScopeNodeImpl`, `DecisiontablePackageImpl.getScopeNode()`, Constant Field Values

    - #### SCOPE_NODE__VALIDATION_MESSAGES

          static final int SCOPE_NODE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE__NAME

          static final int SCOPE_NODE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE__DESCENDENT

          static final int SCOPE_NODE__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE__BACKUP_INFO

          static final int SCOPE_NODE__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE__EXPANDED

          static final int SCOPE_NODE__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE__PARENT

          static final int SCOPE_NODE__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE__CHILDREN

          static final int SCOPE_NODE__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_NODE_FEATURE_COUNT

          static final int SCOPE_NODE_FEATURE_COUNT

      The number of structural features of the 'Scope Node' class.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS

          static final int SCOPE_ALIAS

      The meta object id for the '`Scope Alias`' class.
      See Also:
        `ScopeAliasImpl`, `DecisiontablePackageImpl.getScopeAlias()`, Constant Field Values

    - #### SCOPE_ALIAS__VALIDATION_MESSAGES

          static final int SCOPE_ALIAS__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__NAME

          static final int SCOPE_ALIAS__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__DESCENDENT

          static final int SCOPE_ALIAS__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__BACKUP_INFO

          static final int SCOPE_ALIAS__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__EXPANDED

          static final int SCOPE_ALIAS__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__PARENT

          static final int SCOPE_ALIAS__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__CHILDREN

          static final int SCOPE_ALIAS__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__ALIAS

          static final int SCOPE_ALIAS__ALIAS

      The feature id for the 'Alias' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS__LOGICAL_VARIABLE

          static final int SCOPE_ALIAS__LOGICAL_VARIABLE

      The feature id for the 'Logical Variable' reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ALIAS_FEATURE_COUNT

          static final int SCOPE_ALIAS_FEATURE_COUNT

      The number of structural features of the 'Scope Alias' class.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION

          static final int SCOPE_ASSOCIATION

      The meta object id for the '`Scope Association`' class.
      See Also:
        `ScopeAssociationImpl`, `DecisiontablePackageImpl.getScopeAssociation()`, Constant Field Values

    - #### SCOPE_ASSOCIATION__VALIDATION_MESSAGES

          static final int SCOPE_ASSOCIATION__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__NAME

          static final int SCOPE_ASSOCIATION__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__DESCENDENT

          static final int SCOPE_ASSOCIATION__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__BACKUP_INFO

          static final int SCOPE_ASSOCIATION__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__EXPANDED

          static final int SCOPE_ASSOCIATION__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__PARENT

          static final int SCOPE_ASSOCIATION__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__CHILDREN

          static final int SCOPE_ASSOCIATION__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__ALIAS

          static final int SCOPE_ASSOCIATION__ALIAS

      The feature id for the 'Alias' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION__LOGICAL_VARIABLE

          static final int SCOPE_ASSOCIATION__LOGICAL_VARIABLE

      The feature id for the 'Logical Variable' reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ASSOCIATION_FEATURE_COUNT

          static final int SCOPE_ASSOCIATION_FEATURE_COUNT

      The number of structural features of the 'Scope Association' class.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE

          static final int SCOPE_ATTRIBUTE

      The meta object id for the '`Scope Attribute`' class.
      See Also:
        `ScopeAttributeImpl`, `DecisiontablePackageImpl.getScopeAttribute()`, Constant Field Values

    - #### SCOPE_ATTRIBUTE__VALIDATION_MESSAGES

          static final int SCOPE_ATTRIBUTE__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__NAME

          static final int SCOPE_ATTRIBUTE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__DESCENDENT

          static final int SCOPE_ATTRIBUTE__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__BACKUP_INFO

          static final int SCOPE_ATTRIBUTE__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__EXPANDED

          static final int SCOPE_ATTRIBUTE__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__PARENT

          static final int SCOPE_ATTRIBUTE__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__CHILDREN

          static final int SCOPE_ATTRIBUTE__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__EATTRIBUTE

          static final int SCOPE_ATTRIBUTE__EATTRIBUTE

      The feature id for the 'EAttribute' reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE__REFERENCED_ATTRIBUTE

          static final int SCOPE_ATTRIBUTE__REFERENCED_ATTRIBUTE

      The feature id for the 'Referenced Attribute' reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ATTRIBUTE_FEATURE_COUNT

          static final int SCOPE_ATTRIBUTE_FEATURE_COUNT

      The number of structural features of the 'Scope Attribute' class.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY

          static final int SCOPE_ENTITY

      The meta object id for the '`Scope Entity`' class.
      See Also:
        `ScopeEntityImpl`, `DecisiontablePackageImpl.getScopeEntity()`, Constant Field Values

    - #### SCOPE_ENTITY__VALIDATION_MESSAGES

          static final int SCOPE_ENTITY__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__NAME

          static final int SCOPE_ENTITY__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__DESCENDENT

          static final int SCOPE_ENTITY__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__BACKUP_INFO

          static final int SCOPE_ENTITY__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__EXPANDED

          static final int SCOPE_ENTITY__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__PARENT

          static final int SCOPE_ENTITY__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__CHILDREN

          static final int SCOPE_ENTITY__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__ALIAS

          static final int SCOPE_ENTITY__ALIAS

      The feature id for the 'Alias' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY__LOGICAL_VARIABLE

          static final int SCOPE_ENTITY__LOGICAL_VARIABLE

      The feature id for the 'Logical Variable' reference.
      See Also:
        Constant Field Values

    - #### SCOPE_ENTITY_FEATURE_COUNT

          static final int SCOPE_ENTITY_FEATURE_COUNT

      The number of structural features of the 'Scope Entity' class.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER

          static final int SCOPE_FOLDER

      The meta object id for the '`Scope Folder`' class.
      See Also:
        `ScopeFolderImpl`, `DecisiontablePackageImpl.getScopeFolder()`, Constant Field Values

    - #### SCOPE_FOLDER__VALIDATION_MESSAGES

          static final int SCOPE_FOLDER__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER__NAME

          static final int SCOPE_FOLDER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER__DESCENDENT

          static final int SCOPE_FOLDER__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER__BACKUP_INFO

          static final int SCOPE_FOLDER__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER__EXPANDED

          static final int SCOPE_FOLDER__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER__PARENT

          static final int SCOPE_FOLDER__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER__CHILDREN

          static final int SCOPE_FOLDER__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_FOLDER_FEATURE_COUNT

          static final int SCOPE_FOLDER_FEATURE_COUNT

      The number of structural features of the 'Scope Folder' class.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER

          static final int SCOPE_FILTER

      The meta object id for the '`Scope Filter`' class.
      See Also:
        `ScopeFilterImpl`, `DecisiontablePackageImpl.getScopeFilter()`, Constant Field Values

    - #### SCOPE_FILTER__VALIDATION_MESSAGES

          static final int SCOPE_FILTER__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__NAME

          static final int SCOPE_FILTER__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__DESCENDENT

          static final int SCOPE_FILTER__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__BACKUP_INFO

          static final int SCOPE_FILTER__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__EXPANDED

          static final int SCOPE_FILTER__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__PARENT

          static final int SCOPE_FILTER__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__CHILDREN

          static final int SCOPE_FILTER__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__EXPRESSION

          static final int SCOPE_FILTER__EXPRESSION

      The feature id for the 'Expression' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER__FILTER

          static final int SCOPE_FILTER__FILTER

      The feature id for the 'Filter' reference.
      See Also:
        Constant Field Values

    - #### SCOPE_FILTER_FEATURE_COUNT

          static final int SCOPE_FILTER_FEATURE_COUNT

      The number of structural features of the 'Scope Filter' class.
      See Also:
        Constant Field Values

    - #### SCOPE_SECTION

          static final int SCOPE_SECTION

      The meta object id for the '`Scope Section`' class.
      See Also:
        `ScopeSectionImpl`, `DecisiontablePackageImpl.getScopeSection()`, Constant Field Values

    - #### SCOPE_SECTION__ROOT_NODE

          static final int SCOPE_SECTION__ROOT_NODE

      The feature id for the 'Root Node' containment reference.
      See Also:
        Constant Field Values

    - #### SCOPE_SECTION_FEATURE_COUNT

          static final int SCOPE_SECTION_FEATURE_COUNT

      The number of structural features of the 'Scope Section' class.
      See Also:
        Constant Field Values

    - #### FILTER_ITEM

          static final int FILTER_ITEM

      The meta object id for the '`Filter Item`' class.
      See Also:
        `FilterItemImpl`, `DecisiontablePackageImpl.getFilterItem()`, Constant Field Values

    - #### FILTER_ITEM__DISABLED

          static final int FILTER_ITEM__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### FILTER_ITEM__EXPRESSION_CELL

          static final int FILTER_ITEM__EXPRESSION_CELL

      The feature id for the 'Expression Cell' containment reference.
      See Also:
        Constant Field Values

    - #### FILTER_ITEM__FILTER

          static final int FILTER_ITEM__FILTER

      The feature id for the 'Filter' reference.
      See Also:
        Constant Field Values

    - #### FILTER_ITEM_FEATURE_COUNT

          static final int FILTER_ITEM_FEATURE_COUNT

      The number of structural features of the 'Filter Item' class.
      See Also:
        Constant Field Values

    - #### FILTER_SECTION

          static final int FILTER_SECTION

      The meta object id for the '`Filter Section`' class.
      See Also:
        `FilterSectionImpl`, `DecisiontablePackageImpl.getFilterSection()`, Constant Field Values

    - #### FILTER_SECTION__ROW_COUNT

          static final int FILTER_SECTION__ROW_COUNT

      The feature id for the 'Row Count' attribute.
      See Also:
        Constant Field Values

    - #### FILTER_SECTION__SCROLL_ROW_TOP

          static final int FILTER_SECTION__SCROLL_ROW_TOP

      The feature id for the 'Scroll Row Top' attribute.
      See Also:
        Constant Field Values

    - #### FILTER_SECTION__FILTER_ITEM_LIST

          static final int FILTER_SECTION__FILTER_ITEM_LIST

      The feature id for the 'Filter Item List' containment reference list.
      See Also:
        Constant Field Values

    - #### FILTER_SECTION_FEATURE_COUNT

          static final int FILTER_SECTION_FEATURE_COUNT

      The number of structural features of the 'Filter Section' class.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN

          static final int RULE_COLUMN

      The meta object id for the '`Rule Column`' class.
      See Also:
        `RuleColumnImpl`, `DecisiontablePackageImpl.getRuleColumn()`, Constant Field Values

    - #### RULE_COLUMN__RULE_ID

          static final int RULE_COLUMN__RULE_ID

      The feature id for the 'Rule Id' attribute.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN__COLUMN_WIDTH

          static final int RULE_COLUMN__COLUMN_WIDTH

      The feature id for the 'Column Width' attribute.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN__NON_CONDITIONAL

          static final int RULE_COLUMN__NON_CONDITIONAL

      The feature id for the 'Non Conditional' attribute.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN__DISABLED

          static final int RULE_COLUMN__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN__OVERRIDE_VALUE_SET_CELL

          static final int RULE_COLUMN__OVERRIDE_VALUE_SET_CELL

      The feature id for the 'Override Value Set Cell' containment reference.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN__PRULE

          static final int RULE_COLUMN__PRULE

      The feature id for the 'PRule' reference list.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN__CONDITION_VALUE_SET_CELL_LIST

          static final int RULE_COLUMN__CONDITION_VALUE_SET_CELL_LIST

      The feature id for the 'Condition Value Set Cell List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN__ACTION_VALUE_SET_CELL_LIST

          static final int RULE_COLUMN__ACTION_VALUE_SET_CELL_LIST

      The feature id for the 'Action Value Set Cell List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_COLUMN_FEATURE_COUNT

          static final int RULE_COLUMN_FEATURE_COUNT

      The number of structural features of the 'Rule Column' class.
      See Also:
        Constant Field Values

    - #### RULE_SECTION

          static final int RULE_SECTION

      The meta object id for the '`Rule Section`' class.
      See Also:
        `RuleSectionImpl`, `DecisiontablePackageImpl.getRuleSection()`, Constant Field Values

    - #### RULE_SECTION__COLUMN_COUNT

          static final int RULE_SECTION__COLUMN_COUNT

      The feature id for the 'Column Count' attribute.
      See Also:
        Constant Field Values

    - #### RULE_SECTION__SCROLL_COLUMN_LEFT

          static final int RULE_SECTION__SCROLL_COLUMN_LEFT

      The feature id for the 'Scroll Column Left' attribute.
      See Also:
        Constant Field Values

    - #### RULE_SECTION__RULE_COLUMN_LIST

          static final int RULE_SECTION__RULE_COLUMN_LIST

      The feature id for the 'Rule Column List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_SECTION__OPTIMIZER_RESULTS

          static final int RULE_SECTION__OPTIMIZER_RESULTS

      The feature id for the 'Optimizer Results' containment reference.
      See Also:
        Constant Field Values

    - #### RULE_SECTION_FEATURE_COUNT

          static final int RULE_SECTION_FEATURE_COUNT

      The number of structural features of the 'Rule Section' class.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE

          static final int DECISION_TABLE

      The meta object id for the '`Decision Table`' class.
      See Also:
        `DecisionTableImpl`, `DecisiontablePackageImpl.getDecisionTable()`, Constant Field Values

    - #### DECISION_TABLE__NAME

          static final int DECISION_TABLE__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__SELECTION

          static final int DECISION_TABLE__SELECTION

      The feature id for the 'Selection' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__ADVANCED

          static final int DECISION_TABLE__ADVANCED

      The feature id for the 'Advanced' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__SASH_WEIGHT_ADVANCED_VIEW

          static final int DECISION_TABLE__SASH_WEIGHT_ADVANCED_VIEW

      The feature id for the 'Sash Weight Advanced View' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__SASH_WEIGHT_SCOPE

          static final int DECISION_TABLE__SASH_WEIGHT_SCOPE

      The feature id for the 'Sash Weight Scope' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__SASH_WEIGHT_CONDITIONS_ACTIONS

          static final int DECISION_TABLE__SASH_WEIGHT_CONDITIONS_ACTIONS

      The feature id for the 'Sash Weight Conditions Actions' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__SASH_WEIGHT_CONDITIONS_IF

          static final int DECISION_TABLE__SASH_WEIGHT_CONDITIONS_IF

      The feature id for the 'Sash Weight Conditions If' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__NATURAL_LANGUAGE_DISPLAY

          static final int DECISION_TABLE__NATURAL_LANGUAGE_DISPLAY

      The feature id for the 'Natural Language Display' attribute.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__ACTION_SECTION

          static final int DECISION_TABLE__ACTION_SECTION

      The feature id for the 'Action Section' containment reference.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__SCOPE_SECTION

          static final int DECISION_TABLE__SCOPE_SECTION

      The feature id for the 'Scope Section' containment reference.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__FILTER_SECTION

          static final int DECISION_TABLE__FILTER_SECTION

      The feature id for the 'Filter Section' containment reference.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__RULE_STATEMENT_SECTION

          static final int DECISION_TABLE__RULE_STATEMENT_SECTION

      The feature id for the 'Rule Statement Section' containment reference.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__CONDITION_SECTION

          static final int DECISION_TABLE__CONDITION_SECTION

      The feature id for the 'Condition Section' containment reference.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__RULE_SECTION

          static final int DECISION_TABLE__RULE_SECTION

      The feature id for the 'Rule Section' containment reference.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE__PRULESET

          static final int DECISION_TABLE__PRULESET

      The feature id for the 'PRuleset' reference.
      See Also:
        Constant Field Values

    - #### DECISION_TABLE_FEATURE_COUNT

          static final int DECISION_TABLE_FEATURE_COUNT

      The number of structural features of the 'Decision Table' class.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_ITEM

          static final int RULE_STATEMENT_ITEM

      The meta object id for the '`Rule Statement Item`' class.
      See Also:
        `RuleStatementItemImpl`, `DecisiontablePackageImpl.getRuleStatementItem()`, Constant Field Values

    - #### RULE_STATEMENT_ITEM__REFERENCE

          static final int RULE_STATEMENT_ITEM__REFERENCE

      The feature id for the 'Reference' containment reference.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_ITEM__TEXT

          static final int RULE_STATEMENT_ITEM__TEXT

      The feature id for the 'Text' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_ITEM__DISABLED

          static final int RULE_STATEMENT_ITEM__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_ITEM__ROW_HEIGHT

          static final int RULE_STATEMENT_ITEM__ROW_HEIGHT

      The feature id for the 'Row Height' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_ITEM__RULE_STATEMENT

          static final int RULE_STATEMENT_ITEM__RULE_STATEMENT

      The feature id for the 'Rule Statement' reference.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_ITEM_FEATURE_COUNT

          static final int RULE_STATEMENT_ITEM_FEATURE_COUNT

      The number of structural features of the 'Rule Statement Item' class.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION

          static final int RULE_STATEMENT_SECTION

      The meta object id for the '`Rule Statement Section`' class.
      See Also:
        `RuleStatementSectionImpl`, `DecisiontablePackageImpl.getRuleStatementSection()`, Constant Field Values

    - #### RULE_STATEMENT_SECTION__ROW_COUNT

          static final int RULE_STATEMENT_SECTION__ROW_COUNT

      The feature id for the 'Row Count' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__SCROLL_ROW_TOP

          static final int RULE_STATEMENT_SECTION__SCROLL_ROW_TOP

      The feature id for the 'Scroll Row Top' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_REFERENCE

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_REFERENCE

      The feature id for the 'Column Width Reference' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_POST_SEVERITY

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_POST_SEVERITY

      The feature id for the 'Column Width Post Severity' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_ALIAS

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_ALIAS

      The feature id for the 'Column Width Alias' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_ID

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_ID

      The feature id for the 'Column Width ID' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_TEXT

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_TEXT

      The feature id for the 'Column Width Text' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_NAME

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_NAME

      The feature id for the 'Column Width Rule Name' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_LINK

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_RULE_LINK

      The feature id for the 'Column Width Rule Link' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_NAME

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_NAME

      The feature id for the 'Column Width Source Name' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_LINK

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_SOURCE_LINK

      The feature id for the 'Column Width Source Link' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_CATEGORY

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_CATEGORY

      The feature id for the 'Column Width Category' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__COLUMN_WIDTH_COMMENTS

          static final int RULE_STATEMENT_SECTION__COLUMN_WIDTH_COMMENTS

      The feature id for the 'Column Width Comments' attribute.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION__RULE_STATEMENT_ITEM_LIST

          static final int RULE_STATEMENT_SECTION__RULE_STATEMENT_ITEM_LIST

      The feature id for the 'Rule Statement Item List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULE_STATEMENT_SECTION_FEATURE_COUNT

          static final int RULE_STATEMENT_SECTION_FEATURE_COUNT

      The number of structural features of the 'Rule Statement Section' class.
      See Also:
        Constant Field Values

    - #### VALUE_SET_CELL

          static final int VALUE_SET_CELL

      The meta object id for the '`Value Set Cell`' class.
      See Also:
        `ValueSetCellImpl`, `DecisiontablePackageImpl.getValueSetCell()`, Constant Field Values

    - #### VALUE_SET_CELL__VALIDATION_MESSAGES

          static final int VALUE_SET_CELL__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### VALUE_SET_CELL__TOOLTIP

          static final int VALUE_SET_CELL__TOOLTIP

      The feature id for the 'Tooltip' attribute.
      See Also:
        Constant Field Values

    - #### VALUE_SET_CELL__PARSER_OUTPUT

          static final int VALUE_SET_CELL__PARSER_OUTPUT

      The feature id for the 'Parser Output' containment reference.
      See Also:
        Constant Field Values

    - #### VALUE_SET_CELL__VALUE_SET

          static final int VALUE_SET_CELL__VALUE_SET

      The feature id for the 'Value Set' attribute.
      See Also:
        Constant Field Values

    - #### VALUE_SET_CELL_FEATURE_COUNT

          static final int VALUE_SET_CELL_FEATURE_COUNT

      The number of structural features of the 'Value Set Cell' class.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET_CELL

          static final int CONDITION_VALUE_SET_CELL

      The meta object id for the '`Condition Value Set Cell`' class.
      See Also:
        `ConditionValueSetCellImpl`, `DecisiontablePackageImpl.getConditionValueSetCell()`, Constant Field Values

    - #### CONDITION_VALUE_SET_CELL__VALIDATION_MESSAGES

          static final int CONDITION_VALUE_SET_CELL__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET_CELL__TOOLTIP

          static final int CONDITION_VALUE_SET_CELL__TOOLTIP

      The feature id for the 'Tooltip' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET_CELL__PARSER_OUTPUT

          static final int CONDITION_VALUE_SET_CELL__PARSER_OUTPUT

      The feature id for the 'Parser Output' containment reference.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET_CELL__VALUE_SET

          static final int CONDITION_VALUE_SET_CELL__VALUE_SET

      The feature id for the 'Value Set' attribute.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET_CELL__CONDITION

          static final int CONDITION_VALUE_SET_CELL__CONDITION

      The feature id for the 'Condition' reference.
      See Also:
        Constant Field Values

    - #### CONDITION_VALUE_SET_CELL_FEATURE_COUNT

          static final int CONDITION_VALUE_SET_CELL_FEATURE_COUNT

      The number of structural features of the 'Condition Value Set Cell' class.
      See Also:
        Constant Field Values

    - #### ACTION_VALUE_SET_CELL

          static final int ACTION_VALUE_SET_CELL

      The meta object id for the '`Action Value Set Cell`' class.
      See Also:
        `ActionValueSetCellImpl`, `DecisiontablePackageImpl.getActionValueSetCell()`, Constant Field Values

    - #### ACTION_VALUE_SET_CELL__VALIDATION_MESSAGES

          static final int ACTION_VALUE_SET_CELL__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### ACTION_VALUE_SET_CELL__TOOLTIP

          static final int ACTION_VALUE_SET_CELL__TOOLTIP

      The feature id for the 'Tooltip' attribute.
      See Also:
        Constant Field Values

    - #### ACTION_VALUE_SET_CELL__PARSER_OUTPUT

          static final int ACTION_VALUE_SET_CELL__PARSER_OUTPUT

      The feature id for the 'Parser Output' containment reference.
      See Also:
        Constant Field Values

    - #### ACTION_VALUE_SET_CELL__VALUE_SET

          static final int ACTION_VALUE_SET_CELL__VALUE_SET

      The feature id for the 'Value Set' attribute.
      See Also:
        Constant Field Values

    - #### ACTION_VALUE_SET_CELL__ACTION

          static final int ACTION_VALUE_SET_CELL__ACTION

      The feature id for the 'Action' reference.
      See Also:
        Constant Field Values

    - #### ACTION_VALUE_SET_CELL_FEATURE_COUNT

          static final int ACTION_VALUE_SET_CELL_FEATURE_COUNT

      The number of structural features of the 'Action Value Set Cell' class.
      See Also:
        Constant Field Values

    - #### OPTIMIZER_RESULTS

          static final int OPTIMIZER_RESULTS

      The meta object id for the '`Optimizer Results`' class.
      See Also:
        `OptimizerResultsImpl`, `DecisiontablePackageImpl.getOptimizerResults()`, Constant Field Values

    - #### OPTIMIZER_RESULTS__AMBIGUITY_INDEX

          static final int OPTIMIZER_RESULTS__AMBIGUITY_INDEX

      The feature id for the 'Ambiguity Index' attribute.
      See Also:
        Constant Field Values

    - #### OPTIMIZER_RESULTS__AMBIGUITY_FILTER

          static final int OPTIMIZER_RESULTS__AMBIGUITY_FILTER

      The feature id for the 'Ambiguity Filter' attribute.
      See Also:
        Constant Field Values

    - #### OPTIMIZER_RESULTS__AMBIGUITY_LIST

          static final int OPTIMIZER_RESULTS__AMBIGUITY_LIST

      The feature id for the 'Ambiguity List' containment reference list.
      See Also:
        Constant Field Values

    - #### OPTIMIZER_RESULTS__COMPLETENESS_CHECK_RULE_COLUMNS

          static final int OPTIMIZER_RESULTS__COMPLETENESS_CHECK_RULE_COLUMNS

      The feature id for the 'Completeness Check Rule Columns' reference list.
      See Also:
        Constant Field Values

    - #### OPTIMIZER_RESULTS_FEATURE_COUNT

          static final int OPTIMIZER_RESULTS_FEATURE_COUNT

      The number of structural features of the 'Optimizer Results' class.
      See Also:
        Constant Field Values

    - #### AMBIGUITY

          static final int AMBIGUITY

      The meta object id for the '`Ambiguity`' class.
      See Also:
        `AmbiguityImpl`, `DecisiontablePackageImpl.getAmbiguity()`, Constant Field Values

    - #### AMBIGUITY__AMBIGUOUS_RULE_COLUMNS

          static final int AMBIGUITY__AMBIGUOUS_RULE_COLUMNS

      The feature id for the 'Ambiguous Rule Columns' reference list.
      See Also:
        Constant Field Values

    - #### AMBIGUITY_FEATURE_COUNT

          static final int AMBIGUITY_FEATURE_COUNT

      The number of structural features of the 'Ambiguity' class.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS

          static final int SCOPE_SORTED_ALIAS

      The meta object id for the '`Scope Sorted Alias`' class.
      See Also:
        `ScopeSortedAliasImpl`, `DecisiontablePackageImpl.getScopeSortedAlias()`, Constant Field Values

    - #### SCOPE_SORTED_ALIAS__VALIDATION_MESSAGES

          static final int SCOPE_SORTED_ALIAS__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__NAME

          static final int SCOPE_SORTED_ALIAS__NAME

      The feature id for the 'Name' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__DESCENDENT

          static final int SCOPE_SORTED_ALIAS__DESCENDENT

      The feature id for the 'Descendent' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__BACKUP_INFO

          static final int SCOPE_SORTED_ALIAS__BACKUP_INFO

      The feature id for the 'Backup Info' attribute list.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__EXPANDED

          static final int SCOPE_SORTED_ALIAS__EXPANDED

      The feature id for the 'Expanded' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__PARENT

          static final int SCOPE_SORTED_ALIAS__PARENT

      The feature id for the 'Parent' container reference.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__CHILDREN

          static final int SCOPE_SORTED_ALIAS__CHILDREN

      The feature id for the 'Children' containment reference list.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__ALIAS

          static final int SCOPE_SORTED_ALIAS__ALIAS

      The feature id for the 'Alias' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__LOGICAL_VARIABLE

          static final int SCOPE_SORTED_ALIAS__LOGICAL_VARIABLE

      The feature id for the 'Logical Variable' reference.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS__OPERATOR_ID

          static final int SCOPE_SORTED_ALIAS__OPERATOR_ID

      The feature id for the 'Operator ID' attribute.
      See Also:
        Constant Field Values

    - #### SCOPE_SORTED_ALIAS_FEATURE_COUNT

          static final int SCOPE_SORTED_ALIAS_FEATURE_COUNT

      The number of structural features of the 'Scope Sorted Alias' class.
      See Also:
        Constant Field Values

    - #### VARIABLE_MODE

          static final int VARIABLE_MODE

      The meta object id for the '`Variable Mode`' enum.
      See Also:
        `VariableMode`, `DecisiontablePackageImpl.getVariableMode()`, Constant Field Values

    - #### SELECTION

          static final int SELECTION

      The meta object id for the 'Selection' data type.
      See Also:
        `Selection`, `DecisiontablePackageImpl.getSelection()`, Constant Field Values

    - #### VALUE_SET

          static final int VALUE_SET

      The meta object id for the 'Value Set' data type.
      See Also:
        `ValueSet`, `DecisiontablePackageImpl.getValueSet()`, Constant Field Values

  - ### Method Detail

    - #### getActionItem

          org.eclipse.emf.ecore.EClass getActionItem()

      Returns the meta object for class '`Action Item`'.
      Returns:
        the meta object for class 'Action Item'.
      See Also:
        `ActionItem`

    - #### getActionItem_Disabled

          org.eclipse.emf.ecore.EAttribute getActionItem_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `ActionItem.isDisabled()`, `getActionItem()`

    - #### getActionItem_RowHeight

          org.eclipse.emf.ecore.EAttribute getActionItem_RowHeight()

      Returns the meta object for the attribute '`Row Height`'.
      Returns:
        the meta object for the attribute 'Row Height'.
      See Also:
        `ActionItem.getRowHeight()`, `getActionItem()`

    - #### getActionItem_NaturalLanguageText

          org.eclipse.emf.ecore.EReference getActionItem_NaturalLanguageText()

      Returns the meta object for the containment reference list '`Natural Language Text`'.
      Returns:
        the meta object for the containment reference list 'Natural Language Text'.
      See Also:
        `ActionItem.getNaturalLanguageText()`, `getActionItem()`

    - #### getActionItem_ValueSetCell

          org.eclipse.emf.ecore.EReference getActionItem_ValueSetCell()

      Returns the meta object for the containment reference '`Value Set Cell`'.
      Returns:
        the meta object for the containment reference 'Value Set Cell'.
      See Also:
        `ActionItem.getValueSetCell()`, `getActionItem()`

    - #### getActionItem_ExpressionCell

          org.eclipse.emf.ecore.EReference getActionItem_ExpressionCell()

      Returns the meta object for the containment reference '`Expression Cell`'.
      Returns:
        the meta object for the containment reference 'Expression Cell'.
      See Also:
        `ActionItem.getExpressionCell()`, `getActionItem()`

    - #### getActionSection

          org.eclipse.emf.ecore.EClass getActionSection()

      Returns the meta object for class '`Action Section`'.
      Returns:
        the meta object for class 'Action Section'.
      See Also:
        `ActionSection`

    - #### getActionSection_RowCount

          org.eclipse.emf.ecore.EAttribute getActionSection_RowCount()

      Returns the meta object for the attribute '`Row Count`'.
      Returns:
        the meta object for the attribute 'Row Count'.
      See Also:
        `ActionSection.getRowCount()`, `getActionSection()`

    - #### getActionSection_ScrollRowTop

          org.eclipse.emf.ecore.EAttribute getActionSection_ScrollRowTop()

      Returns the meta object for the attribute '`Scroll Row Top`'.
      Returns:
        the meta object for the attribute 'Scroll Row Top'.
      See Also:
        `ActionSection.getScrollRowTop()`, `getActionSection()`

    - #### getActionSection_ColumnWidthFactor

          org.eclipse.emf.ecore.EAttribute getActionSection_ColumnWidthFactor()

      Returns the meta object for the attribute '`Column Width Factor`'.
      Returns:
        the meta object for the attribute 'Column Width Factor'.
      See Also:
        `ActionSection.getColumnWidthFactor()`, `getActionSection()`

    - #### getActionSection_ActionItemList

          org.eclipse.emf.ecore.EReference getActionSection_ActionItemList()

      Returns the meta object for the containment reference list '`Action Item List`'.
      Returns:
        the meta object for the containment reference list 'Action Item List'.
      See Also:
        `ActionSection.getActionItemList()`, `getActionSection()`

    - #### getCell

          org.eclipse.emf.ecore.EClass getCell()

      Returns the meta object for class '`Cell`'.
      Returns:
        the meta object for class 'Cell'.
      See Also:
        `Cell`

    - #### getCell_Tooltip

          org.eclipse.emf.ecore.EAttribute getCell_Tooltip()

      Returns the meta object for the attribute '`Tooltip`'.
      Returns:
        the meta object for the attribute 'Tooltip'.
      See Also:
        `Cell.getTooltip()`, `getCell()`

    - #### getCell_ParserOutput

          org.eclipse.emf.ecore.EReference getCell_ParserOutput()

      Returns the meta object for the containment reference '`Parser Output`'.
      Returns:
        the meta object for the containment reference 'Parser Output'.
      See Also:
        `Cell.getParserOutput()`, `getCell()`

    - #### getConditionItem

          org.eclipse.emf.ecore.EClass getConditionItem()

      Returns the meta object for class '`Condition Item`'.
      Returns:
        the meta object for class 'Condition Item'.
      See Also:
        `ConditionItem`

    - #### getConditionItem_Precondition

          org.eclipse.emf.ecore.EAttribute getConditionItem_Precondition()

      Returns the meta object for the attribute '`Precondition`'.
      Returns:
        the meta object for the attribute 'Precondition'.
      See Also:
        `ConditionItem.isPrecondition()`, `getConditionItem()`

    - #### getConditionItem_Disabled

          org.eclipse.emf.ecore.EAttribute getConditionItem_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `ConditionItem.isDisabled()`, `getConditionItem()`

    - #### getConditionItem_RowHeight

          org.eclipse.emf.ecore.EAttribute getConditionItem_RowHeight()

      Returns the meta object for the attribute '`Row Height`'.
      Returns:
        the meta object for the attribute 'Row Height'.
      See Also:
        `ConditionItem.getRowHeight()`, `getConditionItem()`

    - #### getConditionItem_PreexpandOther

          org.eclipse.emf.ecore.EAttribute getConditionItem_PreexpandOther()

      Returns the meta object for the attribute '`Preexpand Other`'.
      Returns:
        the meta object for the attribute 'Preexpand Other'.
      See Also:
        `ConditionItem.getPreexpandOther()`, `getConditionItem()`

    - #### getConditionItem_VariableMode

          org.eclipse.emf.ecore.EAttribute getConditionItem_VariableMode()

      Returns the meta object for the attribute '`Variable Mode`'.
      Returns:
        the meta object for the attribute 'Variable Mode'.
      See Also:
        `ConditionItem.getVariableMode()`, `getConditionItem()`

    - #### getConditionItem_VariableReference

          org.eclipse.emf.ecore.EReference getConditionItem_VariableReference()

      Returns the meta object for the containment reference '`Variable Reference`'.
      Returns:
        the meta object for the containment reference 'Variable Reference'.
      See Also:
        `ConditionItem.getVariableReference()`, `getConditionItem()`

    - #### getConditionItem_CompleteValueSet

          org.eclipse.emf.ecore.EAttribute getConditionItem_CompleteValueSet()

      Returns the meta object for the attribute '`Complete Value Set`'.
      Returns:
        the meta object for the attribute 'Complete Value Set'.
      See Also:
        `ConditionItem.getCompleteValueSet()`, `getConditionItem()`

    - #### getConditionItem_NaturalLanguageText

          org.eclipse.emf.ecore.EReference getConditionItem_NaturalLanguageText()

      Returns the meta object for the containment reference list '`Natural Language Text`'.
      Returns:
        the meta object for the containment reference list 'Natural Language Text'.
      See Also:
        `ConditionItem.getNaturalLanguageText()`, `getConditionItem()`

    - #### getConditionItem_ValueSetCell

          org.eclipse.emf.ecore.EReference getConditionItem_ValueSetCell()

      Returns the meta object for the containment reference '`Value Set Cell`'.
      Returns:
        the meta object for the containment reference 'Value Set Cell'.
      See Also:
        `ConditionItem.getValueSetCell()`, `getConditionItem()`

    - #### getConditionItem_ExpressionCell

          org.eclipse.emf.ecore.EReference getConditionItem_ExpressionCell()

      Returns the meta object for the containment reference '`Expression Cell`'.
      Returns:
        the meta object for the containment reference 'Expression Cell'.
      See Also:
        `ConditionItem.getExpressionCell()`, `getConditionItem()`

    - #### getConditionSection

          org.eclipse.emf.ecore.EClass getConditionSection()

      Returns the meta object for class '`Condition Section`'.
      Returns:
        the meta object for class 'Condition Section'.
      See Also:
        `ConditionSection`

    - #### getConditionSection_RowCount

          org.eclipse.emf.ecore.EAttribute getConditionSection_RowCount()

      Returns the meta object for the attribute '`Row Count`'.
      Returns:
        the meta object for the attribute 'Row Count'.
      See Also:
        `ConditionSection.getRowCount()`, `getConditionSection()`

    - #### getConditionSection_ScrollRowTop

          org.eclipse.emf.ecore.EAttribute getConditionSection_ScrollRowTop()

      Returns the meta object for the attribute '`Scroll Row Top`'.
      Returns:
        the meta object for the attribute 'Scroll Row Top'.
      See Also:
        `ConditionSection.getScrollRowTop()`, `getConditionSection()`

    - #### getConditionSection_ColumnWidthFactor

          org.eclipse.emf.ecore.EAttribute getConditionSection_ColumnWidthFactor()

      Returns the meta object for the attribute '`Column Width Factor`'.
      Returns:
        the meta object for the attribute 'Column Width Factor'.
      See Also:
        `ConditionSection.getColumnWidthFactor()`, `getConditionSection()`

    - #### getConditionSection_ConditionItemList

          org.eclipse.emf.ecore.EReference getConditionSection_ConditionItemList()

      Returns the meta object for the containment reference list '`Condition Item List`'.
      Returns:
        the meta object for the containment reference list 'Condition Item List'.
      See Also:
        `ConditionSection.getConditionItemList()`, `getConditionSection()`

    - #### getExpressionCell

          org.eclipse.emf.ecore.EClass getExpressionCell()

      Returns the meta object for class '`Expression Cell`'.
      Returns:
        the meta object for class 'Expression Cell'.
      See Also:
        `ExpressionCell`

    - #### getExpressionCell_External

          org.eclipse.emf.ecore.EAttribute getExpressionCell_External()

      Returns the meta object for the attribute '`External`'.
      Returns:
        the meta object for the attribute 'External'.
      See Also:
        `ExpressionCell.getExternal()`, `getExpressionCell()`

    - #### getScopeAssociation

          org.eclipse.emf.ecore.EClass getScopeAssociation()

      Returns the meta object for class '`Scope Association`'.
      Returns:
        the meta object for class 'Scope Association'.
      See Also:
        `ScopeAssociation`

    - #### getScopeAttribute

          org.eclipse.emf.ecore.EClass getScopeAttribute()

      Returns the meta object for class '`Scope Attribute`'.
      Returns:
        the meta object for class 'Scope Attribute'.
      See Also:
        `ScopeAttribute`

    - #### getScopeAttribute_EAttribute

          org.eclipse.emf.ecore.EReference getScopeAttribute_EAttribute()

      Returns the meta object for the reference '`EAttribute`'.
      Returns:
        the meta object for the reference 'EAttribute'.
      See Also:
        `ScopeAttribute.getEAttribute()`, `getScopeAttribute()`

    - #### getScopeAttribute_ReferencedAttribute

          org.eclipse.emf.ecore.EReference getScopeAttribute_ReferencedAttribute()

      Returns the meta object for the reference '`Referenced Attribute`'.
      Returns:
        the meta object for the reference 'Referenced Attribute'.
      See Also:
        `ScopeAttribute.getReferencedAttribute()`, `getScopeAttribute()`

    - #### getScopeEntity

          org.eclipse.emf.ecore.EClass getScopeEntity()

      Returns the meta object for class '`Scope Entity`'.
      Returns:
        the meta object for class 'Scope Entity'.
      See Also:
        `ScopeEntity`

    - #### getScopeFolder

          org.eclipse.emf.ecore.EClass getScopeFolder()

      Returns the meta object for class '`Scope Folder`'.
      Returns:
        the meta object for class 'Scope Folder'.
      See Also:
        `ScopeFolder`

    - #### getScopeNode

          org.eclipse.emf.ecore.EClass getScopeNode()

      Returns the meta object for class '`Scope Node`'.
      Returns:
        the meta object for class 'Scope Node'.
      See Also:
        `ScopeNode`

    - #### getScopeNode_Name

          org.eclipse.emf.ecore.EAttribute getScopeNode_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `ScopeNode.getName()`, `getScopeNode()`

    - #### getScopeNode_Descendent

          org.eclipse.emf.ecore.EAttribute getScopeNode_Descendent()

      Returns the meta object for the attribute '`Descendent`'.
      Returns:
        the meta object for the attribute 'Descendent'.
      See Also:
        `ScopeNode.isDescendent()`, `getScopeNode()`

    - #### getScopeNode_BackupInfo

          org.eclipse.emf.ecore.EAttribute getScopeNode_BackupInfo()

      Returns the meta object for the attribute list '`Backup Info`'.
      Returns:
        the meta object for the attribute list 'Backup Info'.
      See Also:
        `ScopeNode.getBackupInfo()`, `getScopeNode()`

    - #### getScopeNode_Expanded

          org.eclipse.emf.ecore.EAttribute getScopeNode_Expanded()

      Returns the meta object for the attribute '`Expanded`'.
      Returns:
        the meta object for the attribute 'Expanded'.
      See Also:
        `ScopeNode.isExpanded()`, `getScopeNode()`

    - #### getScopeNode_Parent

          org.eclipse.emf.ecore.EReference getScopeNode_Parent()

      Returns the meta object for the container reference '`Parent`'.
      Returns:
        the meta object for the container reference 'Parent'.
      See Also:
        `ScopeNode.getParent()`, `getScopeNode()`

    - #### getScopeNode_Children

          org.eclipse.emf.ecore.EReference getScopeNode_Children()

      Returns the meta object for the containment reference list '`Children`'.
      Returns:
        the meta object for the containment reference list 'Children'.
      See Also:
        `ScopeNode.getChildren()`, `getScopeNode()`

    - #### getScopeFilter

          org.eclipse.emf.ecore.EClass getScopeFilter()

      Returns the meta object for class '`Scope Filter`'.
      Returns:
        the meta object for class 'Scope Filter'.
      See Also:
        `ScopeFilter`

    - #### getScopeFilter_Expression

          org.eclipse.emf.ecore.EAttribute getScopeFilter_Expression()

      Returns the meta object for the attribute '`Expression`'.
      Returns:
        the meta object for the attribute 'Expression'.
      See Also:
        `ScopeFilter.getExpression()`, `getScopeFilter()`

    - #### getScopeFilter_Filter

          org.eclipse.emf.ecore.EReference getScopeFilter_Filter()

      Returns the meta object for the reference '`Filter`'.
      Returns:
        the meta object for the reference 'Filter'.
      See Also:
        `ScopeFilter.getFilter()`, `getScopeFilter()`

    - #### getScopeSection

          org.eclipse.emf.ecore.EClass getScopeSection()

      Returns the meta object for class '`Scope Section`'.
      Returns:
        the meta object for class 'Scope Section'.
      See Also:
        `ScopeSection`

    - #### getScopeSection_RootNode

          org.eclipse.emf.ecore.EReference getScopeSection_RootNode()

      Returns the meta object for the containment reference '`Root Node`'.
      Returns:
        the meta object for the containment reference 'Root Node'.
      See Also:
        `ScopeSection.getRootNode()`, `getScopeSection()`

    - #### getFilterItem

          org.eclipse.emf.ecore.EClass getFilterItem()

      Returns the meta object for class '`Filter Item`'.
      Returns:
        the meta object for class 'Filter Item'.
      See Also:
        `FilterItem`

    - #### getFilterItem_Disabled

          org.eclipse.emf.ecore.EAttribute getFilterItem_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `FilterItem.isDisabled()`, `getFilterItem()`

    - #### getFilterItem_ExpressionCell

          org.eclipse.emf.ecore.EReference getFilterItem_ExpressionCell()

      Returns the meta object for the containment reference '`Expression Cell`'.
      Returns:
        the meta object for the containment reference 'Expression Cell'.
      See Also:
        `FilterItem.getExpressionCell()`, `getFilterItem()`

    - #### getFilterItem_Filter

          org.eclipse.emf.ecore.EReference getFilterItem_Filter()

      Returns the meta object for the reference '`Filter`'.
      Returns:
        the meta object for the reference 'Filter'.
      See Also:
        `FilterItem.getFilter()`, `getFilterItem()`

    - #### getFilterSection

          org.eclipse.emf.ecore.EClass getFilterSection()

      Returns the meta object for class '`Filter Section`'.
      Returns:
        the meta object for class 'Filter Section'.
      See Also:
        `FilterSection`

    - #### getFilterSection_RowCount

          org.eclipse.emf.ecore.EAttribute getFilterSection_RowCount()

      Returns the meta object for the attribute '`Row Count`'.
      Returns:
        the meta object for the attribute 'Row Count'.
      See Also:
        `FilterSection.getRowCount()`, `getFilterSection()`

    - #### getFilterSection_ScrollRowTop

          org.eclipse.emf.ecore.EAttribute getFilterSection_ScrollRowTop()

      Returns the meta object for the attribute '`Scroll Row Top`'.
      Returns:
        the meta object for the attribute 'Scroll Row Top'.
      See Also:
        `FilterSection.getScrollRowTop()`, `getFilterSection()`

    - #### getFilterSection_FilterItemList

          org.eclipse.emf.ecore.EReference getFilterSection_FilterItemList()

      Returns the meta object for the containment reference list '`Filter Item List`'.
      Returns:
        the meta object for the containment reference list 'Filter Item List'.
      See Also:
        `FilterSection.getFilterItemList()`, `getFilterSection()`

    - #### getRuleColumn

          org.eclipse.emf.ecore.EClass getRuleColumn()

      Returns the meta object for class '`Rule Column`'.
      Returns:
        the meta object for class 'Rule Column'.
      See Also:
        `RuleColumn`

    - #### getRuleColumn_RuleId

          org.eclipse.emf.ecore.EAttribute getRuleColumn_RuleId()

      Returns the meta object for the attribute '`Rule Id`'.
      Returns:
        the meta object for the attribute 'Rule Id'.
      See Also:
        `RuleColumn.getRuleId()`, `getRuleColumn()`

    - #### getRuleColumn_ColumnWidth

          org.eclipse.emf.ecore.EAttribute getRuleColumn_ColumnWidth()

      Returns the meta object for the attribute '`Column Width`'.
      Returns:
        the meta object for the attribute 'Column Width'.
      See Also:
        `RuleColumn.getColumnWidth()`, `getRuleColumn()`

    - #### getRuleColumn_NonConditional

          org.eclipse.emf.ecore.EAttribute getRuleColumn_NonConditional()

      Returns the meta object for the attribute '`Non Conditional`'.
      Returns:
        the meta object for the attribute 'Non Conditional'.
      See Also:
        `RuleColumn.isNonConditional()`, `getRuleColumn()`

    - #### getRuleColumn_Disabled

          org.eclipse.emf.ecore.EAttribute getRuleColumn_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `RuleColumn.isDisabled()`, `getRuleColumn()`

    - #### getRuleColumn_OverrideValueSetCell

          org.eclipse.emf.ecore.EReference getRuleColumn_OverrideValueSetCell()

      Returns the meta object for the containment reference '`Override Value Set Cell`'.
      Returns:
        the meta object for the containment reference 'Override Value Set Cell'.
      See Also:
        `RuleColumn.getOverrideValueSetCell()`, `getRuleColumn()`

    - #### getRuleColumn_PRule

          org.eclipse.emf.ecore.EReference getRuleColumn_PRule()

      Returns the meta object for the reference list '`PRule`'.
      Returns:
        the meta object for the reference list 'PRule'.
      See Also:
        `RuleColumn.getPRule()`, `getRuleColumn()`

    - #### getRuleColumn_ActionValueSetCellList

          org.eclipse.emf.ecore.EReference getRuleColumn_ActionValueSetCellList()

      Returns the meta object for the containment reference list '`Action Value Set Cell List`'.
      Returns:
        the meta object for the containment reference list 'Action Value Set Cell List'.
      See Also:
        `RuleColumn.getActionValueSetCellList()`, `getRuleColumn()`

    - #### getRuleColumn_ConditionValueSetCellList

          org.eclipse.emf.ecore.EReference getRuleColumn_ConditionValueSetCellList()

      Returns the meta object for the containment reference list '`Condition Value Set Cell List`'.
      Returns:
        the meta object for the containment reference list 'Condition Value Set Cell List'.
      See Also:
        `RuleColumn.getConditionValueSetCellList()`, `getRuleColumn()`

    - #### getRuleSection

          org.eclipse.emf.ecore.EClass getRuleSection()

      Returns the meta object for class '`Rule Section`'.
      Returns:
        the meta object for class 'Rule Section'.
      See Also:
        `RuleSection`

    - #### getRuleSection_ColumnCount

          org.eclipse.emf.ecore.EAttribute getRuleSection_ColumnCount()

      Returns the meta object for the attribute '`Column Count`'.
      Returns:
        the meta object for the attribute 'Column Count'.
      See Also:
        `RuleSection.getColumnCount()`, `getRuleSection()`

    - #### getRuleSection_ScrollColumnLeft

          org.eclipse.emf.ecore.EAttribute getRuleSection_ScrollColumnLeft()

      Returns the meta object for the attribute '`Scroll Column Left`'.
      Returns:
        the meta object for the attribute 'Scroll Column Left'.
      See Also:
        `RuleSection.getScrollColumnLeft()`, `getRuleSection()`

    - #### getRuleSection_RuleColumnList

          org.eclipse.emf.ecore.EReference getRuleSection_RuleColumnList()

      Returns the meta object for the containment reference list '`Rule Column List`'.
      Returns:
        the meta object for the containment reference list 'Rule Column List'.
      See Also:
        `RuleSection.getRuleColumnList()`, `getRuleSection()`

    - #### getRuleSection_OptimizerResults

          org.eclipse.emf.ecore.EReference getRuleSection_OptimizerResults()

      Returns the meta object for the containment reference '`Optimizer Results`'.
      Returns:
        the meta object for the containment reference 'Optimizer Results'.
      See Also:
        `RuleSection.getOptimizerResults()`, `getRuleSection()`

    - #### getDecisionTable

          org.eclipse.emf.ecore.EClass getDecisionTable()

      Returns the meta object for class '`Decision Table`'.
      Returns:
        the meta object for class 'Decision Table'.
      See Also:
        `DecisionTable`

    - #### getDecisionTable_Name

          org.eclipse.emf.ecore.EAttribute getDecisionTable_Name()

      Returns the meta object for the attribute '`Name`'.
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `DecisionTable.getName()`, `getDecisionTable()`

    - #### getDecisionTable_Selection

          org.eclipse.emf.ecore.EAttribute getDecisionTable_Selection()

      Returns the meta object for the attribute '`Selection`'.
      Returns:
        the meta object for the attribute 'Selection'.
      See Also:
        `DecisionTable.getSelection()`, `getDecisionTable()`

    - #### getDecisionTable_Advanced

          org.eclipse.emf.ecore.EAttribute getDecisionTable_Advanced()

      Returns the meta object for the attribute '`Advanced`'.
      Returns:
        the meta object for the attribute 'Advanced'.
      See Also:
        `DecisionTable.isAdvanced()`, `getDecisionTable()`

    - #### getDecisionTable_SashWeightAdvancedView

          org.eclipse.emf.ecore.EAttribute getDecisionTable_SashWeightAdvancedView()

      Returns the meta object for the attribute '`Sash Weight Advanced View`'.
      Returns:
        the meta object for the attribute 'Sash Weight Advanced View'.
      See Also:
        `DecisionTable.getSashWeightAdvancedView()`, `getDecisionTable()`

    - #### getDecisionTable_SashWeightScope

          org.eclipse.emf.ecore.EAttribute getDecisionTable_SashWeightScope()

      Returns the meta object for the attribute '`Sash Weight Scope`'.
      Returns:
        the meta object for the attribute 'Sash Weight Scope'.
      See Also:
        `DecisionTable.getSashWeightScope()`, `getDecisionTable()`

    - #### getDecisionTable_SashWeightConditionsActions

          org.eclipse.emf.ecore.EAttribute getDecisionTable_SashWeightConditionsActions()

      Returns the meta object for the attribute '`Sash Weight Conditions Actions`'.
      Returns:
        the meta object for the attribute 'Sash Weight Conditions Actions'.
      See Also:
        `DecisionTable.getSashWeightConditionsActions()`, `getDecisionTable()`

    - #### getDecisionTable_SashWeightConditionsIf

          org.eclipse.emf.ecore.EAttribute getDecisionTable_SashWeightConditionsIf()

      Returns the meta object for the attribute '`Sash Weight Conditions If`'.
      Returns:
        the meta object for the attribute 'Sash Weight Conditions If'.
      See Also:
        `DecisionTable.getSashWeightConditionsIf()`, `getDecisionTable()`

    - #### getDecisionTable_NaturalLanguageDisplay

          org.eclipse.emf.ecore.EAttribute getDecisionTable_NaturalLanguageDisplay()

      Returns the meta object for the attribute '`Natural Language Display`'.
      Returns:
        the meta object for the attribute 'Natural Language Display'.
      See Also:
        `DecisionTable.isNaturalLanguageDisplay()`, `getDecisionTable()`

    - #### getDecisionTable_ActionSection

          org.eclipse.emf.ecore.EReference getDecisionTable_ActionSection()

      Returns the meta object for the containment reference '`Action Section`'.
      Returns:
        the meta object for the containment reference 'Action Section'.
      See Also:
        `DecisionTable.getActionSection()`, `getDecisionTable()`

    - #### getDecisionTable_ScopeSection

          org.eclipse.emf.ecore.EReference getDecisionTable_ScopeSection()

      Returns the meta object for the containment reference '`Scope Section`'.
      Returns:
        the meta object for the containment reference 'Scope Section'.
      See Also:
        `DecisionTable.getScopeSection()`, `getDecisionTable()`

    - #### getDecisionTable_FilterSection

          org.eclipse.emf.ecore.EReference getDecisionTable_FilterSection()

      Returns the meta object for the containment reference '`Filter Section`'.
      Returns:
        the meta object for the containment reference 'Filter Section'.
      See Also:
        `DecisionTable.getFilterSection()`, `getDecisionTable()`

    - #### getDecisionTable_RuleStatementSection

          org.eclipse.emf.ecore.EReference getDecisionTable_RuleStatementSection()

      Returns the meta object for the containment reference '`Rule Statement Section`'.
      Returns:
        the meta object for the containment reference 'Rule Statement Section'.
      See Also:
        `DecisionTable.getRuleStatementSection()`, `getDecisionTable()`

    - #### getDecisionTable_ConditionSection

          org.eclipse.emf.ecore.EReference getDecisionTable_ConditionSection()

      Returns the meta object for the containment reference '`Condition Section`'.
      Returns:
        the meta object for the containment reference 'Condition Section'.
      See Also:
        `DecisionTable.getConditionSection()`, `getDecisionTable()`

    - #### getDecisionTable_RuleSection

          org.eclipse.emf.ecore.EReference getDecisionTable_RuleSection()

      Returns the meta object for the containment reference '`Rule Section`'.
      Returns:
        the meta object for the containment reference 'Rule Section'.
      See Also:
        `DecisionTable.getRuleSection()`, `getDecisionTable()`

    - #### getDecisionTable_PRuleset

          org.eclipse.emf.ecore.EReference getDecisionTable_PRuleset()

      Returns the meta object for the reference '`PRuleset`'.
      Returns:
        the meta object for the reference 'PRuleset'.
      See Also:
        `DecisionTable.getPRuleset()`, `getDecisionTable()`

    - #### getRuleStatementItem

          org.eclipse.emf.ecore.EClass getRuleStatementItem()

      Returns the meta object for class '`Rule Statement Item`'.
      Returns:
        the meta object for class 'Rule Statement Item'.
      See Also:
        `RuleStatementItem`

    - #### getRuleStatementItem_Reference

          org.eclipse.emf.ecore.EReference getRuleStatementItem_Reference()

      Returns the meta object for the containment reference '`Reference`'.
      Returns:
        the meta object for the containment reference 'Reference'.
      See Also:
        `RuleStatementItem.getReference()`, `getRuleStatementItem()`

    - #### getRuleStatementItem_Text

          org.eclipse.emf.ecore.EReference getRuleStatementItem_Text()

      Returns the meta object for the containment reference list '`Text`'.
      Returns:
        the meta object for the containment reference list 'Text'.
      See Also:
        `RuleStatementItem.getText()`, `getRuleStatementItem()`

    - #### getRuleStatementItem_Disabled

          org.eclipse.emf.ecore.EAttribute getRuleStatementItem_Disabled()

      Returns the meta object for the attribute '`Disabled`'.
      Returns:
        the meta object for the attribute 'Disabled'.
      See Also:
        `RuleStatementItem.isDisabled()`, `getRuleStatementItem()`

    - #### getRuleStatementItem_RowHeight

          org.eclipse.emf.ecore.EAttribute getRuleStatementItem_RowHeight()

      Returns the meta object for the attribute '`Row Height`'.
      Returns:
        the meta object for the attribute 'Row Height'.
      See Also:
        `RuleStatementItem.getRowHeight()`, `getRuleStatementItem()`

    - #### getRuleStatementItem_RuleStatement

          org.eclipse.emf.ecore.EReference getRuleStatementItem_RuleStatement()

      Returns the meta object for the reference '`Rule Statement`'.
      Returns:
        the meta object for the reference 'Rule Statement'.
      See Also:
        `RuleStatementItem.getRuleStatement()`, `getRuleStatementItem()`

    - #### getRuleStatementSection

          org.eclipse.emf.ecore.EClass getRuleStatementSection()

      Returns the meta object for class '`Rule Statement Section`'.
      Returns:
        the meta object for class 'Rule Statement Section'.
      See Also:
        `RuleStatementSection`

    - #### getRuleStatementSection_RowCount

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_RowCount()

      Returns the meta object for the attribute '`Row Count`'.
      Returns:
        the meta object for the attribute 'Row Count'.
      See Also:
        `RuleStatementSection.getRowCount()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ScrollRowTop

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ScrollRowTop()

      Returns the meta object for the attribute '`Scroll Row Top`'.
      Returns:
        the meta object for the attribute 'Scroll Row Top'.
      See Also:
        `RuleStatementSection.getScrollRowTop()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthReference

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthReference()

      Returns the meta object for the attribute '`Column Width Reference`'.
      Returns:
        the meta object for the attribute 'Column Width Reference'.
      See Also:
        `RuleStatementSection.getColumnWidthReference()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthPostSeverity

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthPostSeverity()

      Returns the meta object for the attribute '`Column Width Post Severity`'.
      Returns:
        the meta object for the attribute 'Column Width Post Severity'.
      See Also:
        `RuleStatementSection.getColumnWidthPostSeverity()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthAlias

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthAlias()

      Returns the meta object for the attribute '`Column Width Alias`'.
      Returns:
        the meta object for the attribute 'Column Width Alias'.
      See Also:
        `RuleStatementSection.getColumnWidthAlias()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthID

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthID()

      Returns the meta object for the attribute '`Column Width ID`'.
      Returns:
        the meta object for the attribute 'Column Width ID'.
      See Also:
        `RuleStatementSection.getColumnWidthID()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthText

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthText()

      Returns the meta object for the attribute '`Column Width Text`'.
      Returns:
        the meta object for the attribute 'Column Width Text'.
      See Also:
        `RuleStatementSection.getColumnWidthText()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthRuleName

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthRuleName()

      Returns the meta object for the attribute '`Column Width Rule Name`'.
      Returns:
        the meta object for the attribute 'Column Width Rule Name'.
      See Also:
        `RuleStatementSection.getColumnWidthRuleName()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthRuleLink

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthRuleLink()

      Returns the meta object for the attribute '`Column Width Rule Link`'.
      Returns:
        the meta object for the attribute 'Column Width Rule Link'.
      See Also:
        `RuleStatementSection.getColumnWidthRuleLink()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthSourceName

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthSourceName()

      Returns the meta object for the attribute '`Column Width Source Name`'.
      Returns:
        the meta object for the attribute 'Column Width Source Name'.
      See Also:
        `RuleStatementSection.getColumnWidthSourceName()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthSourceLink

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthSourceLink()

      Returns the meta object for the attribute '`Column Width Source Link`'.
      Returns:
        the meta object for the attribute 'Column Width Source Link'.
      See Also:
        `RuleStatementSection.getColumnWidthSourceLink()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthCategory

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthCategory()

      Returns the meta object for the attribute '`Column Width Category`'.
      Returns:
        the meta object for the attribute 'Column Width Category'.
      See Also:
        `RuleStatementSection.getColumnWidthCategory()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_ColumnWidthComments

          org.eclipse.emf.ecore.EAttribute getRuleStatementSection_ColumnWidthComments()

      Returns the meta object for the attribute '`Column Width Comments`'.
      Returns:
        the meta object for the attribute 'Column Width Comments'.
      See Also:
        `RuleStatementSection.getColumnWidthComments()`, `getRuleStatementSection()`

    - #### getRuleStatementSection_RuleStatementItemList

          org.eclipse.emf.ecore.EReference getRuleStatementSection_RuleStatementItemList()

      Returns the meta object for the containment reference list '`Rule Statement Item List`'.
      Returns:
        the meta object for the containment reference list 'Rule Statement Item List'.
      See Also:
        `RuleStatementSection.getRuleStatementItemList()`, `getRuleStatementSection()`

    - #### getValueSetCell

          org.eclipse.emf.ecore.EClass getValueSetCell()

      Returns the meta object for class '`Value Set Cell`'.
      Returns:
        the meta object for class 'Value Set Cell'.
      See Also:
        `ValueSetCell`

    - #### getValueSetCell_ValueSet

          org.eclipse.emf.ecore.EAttribute getValueSetCell_ValueSet()

      Returns the meta object for the attribute '`Value Set`'.
      Returns:
        the meta object for the attribute 'Value Set'.
      See Also:
        `ValueSetCell.getValueSet()`, `getValueSetCell()`

    - #### getScopeAlias

          org.eclipse.emf.ecore.EClass getScopeAlias()

      Returns the meta object for class '`Scope Alias`'.
      Returns:
        the meta object for class 'Scope Alias'.
      See Also:
        `ScopeAlias`

    - #### getScopeAlias_Alias

          org.eclipse.emf.ecore.EAttribute getScopeAlias_Alias()

      Returns the meta object for the attribute '`Alias`'.
      Returns:
        the meta object for the attribute 'Alias'.
      See Also:
        `ScopeAlias.getAlias()`, `getScopeAlias()`

    - #### getScopeAlias_LogicalVariable

          org.eclipse.emf.ecore.EReference getScopeAlias_LogicalVariable()

      Returns the meta object for the reference '`Logical Variable`'.
      Returns:
        the meta object for the reference 'Logical Variable'.
      See Also:
        `ScopeAlias.getLogicalVariable()`, `getScopeAlias()`

    - #### getConditionValueSetCell

          org.eclipse.emf.ecore.EClass getConditionValueSetCell()

      Returns the meta object for class '`Condition Value Set Cell`'.
      Returns:
        the meta object for class 'Condition Value Set Cell'.
      See Also:
        `ConditionValueSetCell`

    - #### getConditionValueSetCell_Condition

          org.eclipse.emf.ecore.EReference getConditionValueSetCell_Condition()

      Returns the meta object for the reference '`Condition`'.
      Returns:
        the meta object for the reference 'Condition'.
      See Also:
        `ConditionValueSetCell.getCondition()`, `getConditionValueSetCell()`

    - #### getActionValueSetCell

          org.eclipse.emf.ecore.EClass getActionValueSetCell()

      Returns the meta object for class '`Action Value Set Cell`'.
      Returns:
        the meta object for class 'Action Value Set Cell'.
      See Also:
        `ActionValueSetCell`

    - #### getActionValueSetCell_Action

          org.eclipse.emf.ecore.EReference getActionValueSetCell_Action()

      Returns the meta object for the reference '`Action`'.
      Returns:
        the meta object for the reference 'Action'.
      See Also:
        `ActionValueSetCell.getAction()`, `getActionValueSetCell()`

    - #### getOptimizerResults

          org.eclipse.emf.ecore.EClass getOptimizerResults()

      Returns the meta object for class '`Optimizer Results`'.
      Returns:
        the meta object for class 'Optimizer Results'.
      See Also:
        `OptimizerResults`

    - #### getOptimizerResults_AmbiguityIndex

          org.eclipse.emf.ecore.EAttribute getOptimizerResults_AmbiguityIndex()

      Returns the meta object for the attribute '`Ambiguity Index`'.
      Returns:
        the meta object for the attribute 'Ambiguity Index'.
      See Also:
        `OptimizerResults.getAmbiguityIndex()`, `getOptimizerResults()`

    - #### getOptimizerResults_AmbiguityFilter

          org.eclipse.emf.ecore.EAttribute getOptimizerResults_AmbiguityFilter()

      Returns the meta object for the attribute '`Ambiguity Filter`'.
      Returns:
        the meta object for the attribute 'Ambiguity Filter'.
      See Also:
        `OptimizerResults.isAmbiguityFilter()`, `getOptimizerResults()`

    - #### getOptimizerResults_AmbiguityList

          org.eclipse.emf.ecore.EReference getOptimizerResults_AmbiguityList()

      Returns the meta object for the containment reference list '`Ambiguity List`'.
      Returns:
        the meta object for the containment reference list 'Ambiguity List'.
      See Also:
        `OptimizerResults.getAmbiguityList()`, `getOptimizerResults()`

    - #### getOptimizerResults_CompletenessCheckRuleColumns

          org.eclipse.emf.ecore.EReference getOptimizerResults_CompletenessCheckRuleColumns()

      Returns the meta object for the reference list '`Completeness Check Rule Columns`'.
      Returns:
        the meta object for the reference list 'Completeness Check Rule Columns'.
      See Also:
        `OptimizerResults.getCompletenessCheckRuleColumns()`, `getOptimizerResults()`

    - #### getAmbiguity

          org.eclipse.emf.ecore.EClass getAmbiguity()

      Returns the meta object for class '`Ambiguity`'.
      Returns:
        the meta object for class 'Ambiguity'.
      See Also:
        `Ambiguity`

    - #### getAmbiguity_AmbiguousRuleColumns

          org.eclipse.emf.ecore.EReference getAmbiguity_AmbiguousRuleColumns()

      Returns the meta object for the reference list '`Ambiguous Rule Columns`'.
      Returns:
        the meta object for the reference list 'Ambiguous Rule Columns'.
      See Also:
        `Ambiguity.getAmbiguousRuleColumns()`, `getAmbiguity()`

    - #### getScopeSortedAlias

          org.eclipse.emf.ecore.EClass getScopeSortedAlias()

      Returns the meta object for class '`Scope Sorted Alias`'.
      Returns:
        the meta object for class 'Scope Sorted Alias'.
      See Also:
        `ScopeSortedAlias`

    - #### getScopeSortedAlias_OperatorID

          org.eclipse.emf.ecore.EAttribute getScopeSortedAlias_OperatorID()

      Returns the meta object for the attribute '`Operator ID`'.
      Returns:
        the meta object for the attribute 'Operator ID'.
      See Also:
        `ScopeSortedAlias.getOperatorID()`, `getScopeSortedAlias()`

    - #### getVariableMode

          org.eclipse.emf.ecore.EEnum getVariableMode()

      Returns the meta object for enum '`Variable Mode`'.
      Returns:
        the meta object for enum 'Variable Mode'.
      See Also:
        `VariableMode`

    - #### getSelection

          org.eclipse.emf.ecore.EDataType getSelection()

      Returns the meta object for data type '`Selection`'.
      Returns:
        the meta object for data type 'Selection'.
      See Also:
        `Selection`

    - #### getValueSet

          org.eclipse.emf.ecore.EDataType getValueSet()

      Returns the meta object for data type '`Value Set`'.
      Returns:
        the meta object for data type 'Value Set'.
      See Also:
        `ValueSet`

    - #### getDecisiontableFactory

          DecisiontableFactory getDecisiontableFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.